###Index
* [Meta-Lists](#meta-lists)
* [Graphical user interfaces](#graphical-user-interfaces)
* [Graphics Programming](#graphics-programming)
* [Language Agnostic](#language-agnostic)
    * [Algorithms & Datastructures](#algorithms--datastructures)
    * [Theoretical Computer Science](#theoretical-computer-science)
    * [Operating systems](#operating-systems)
    * [Database](#database)
    * [Networking](#networking)
    * [Compiler Design](#compiler-design)
    * [Programming Paradigms](#programming-paradigms)
    * [Parallel Programming](#parallel-programming)
    * [Software Architecture](#software-architecture)
    * [Open Source Ecosystem](#open-source-ecosystem)
    * [Information Retrieval](#information-retrieval)
    * [Datamining](#datamining)
    * [Machine Learning](#machine-learning)
    * [Mathematics](#mathematics)
    * [Cellular Automata](#cellular-automata)
    * [Misc](#misc)
    * [Web Performance](#web-performance)
    * [MOOC](#mooc)
    * [Professional Development](#professional-development)
    * [Security](#security)
* [Ada](#ada)
* [Agda](#agda)
* [Android](#android)
* [APL](#apl)
* [Arduino](#arduino)
* [ASP.NET MVC](#aspnet-mvc)
* [Assembly Language](#assembly-language)
    * [Non-X86](#non-x86)
* [Autotools](#autotools)
* [Awk](#awk)
* [Bash](#bash)
* [Basic](#basic)
* [C](#c)
* [C++](#c-1)
* [Clojure](#clojure)
* [COBOL](#cobol)
* [CoffeeScript](#coffeescript)
* [ColdFusion](#coldfusion)
* [Cool](#cool)
* [Coq](#coq)
* [D](#d)
* [Dart](#dart)
* [DB2](#db2)
* [Delphi / Pascal](#delphi--pascal)
* [DTrace](#dtrace)
* [Elasticsearch](#elasticsearch)
* [Emacs](#emacs)
* [Erlang](#erlang)
* [F#](#f-sharp)
* [Flex](#flex)
* [Force.com](#forcecom)
* [Forth](#forth)
* [Fortran](#fortran)
* [Git](#git)
* [Go](#go)
* [Gradle](#gradle)
* [Grails](#grails)
* [Hadoop](#hadoop)
* [Haskell](#haskell)
* [HTML / CSS](#html--css)
* [Icon](#icon)
* [IDL](#idl)
* [iOS](#ios)
* [J](#j)
* [Java](#java)
    * [Wicket](#wicket)
* [JavaScript](#javascript)
    * [Angular.js](#angularjs)
    * [Backbone.js](#backbonejs)
    * [D3.js](#d3js)
    * [Dojo](#dojo)
    * [jQuery](#jquery)
    * [Knockout.js](#knockoutjs)
    * [Node.js](#nodejs)
* [LaTeX](#latex)
* [Linux](#linux)
* [Lisp](#lisp)
* [Lua](#lua)
* [Mathematica](#mathematica)
* [MATLAB](#matlab)
* [Maven](#maven)
* [Mercurial](#mercurial)
* [MySQL](#mysql)
* [.NET (C# / VB / Nemerle / Visual Studio)](#net-c--vb--nemerle--visual-studio)
* [NoSQL](#nosql)
* [Oberon](#oberon)
* [Objective-C](#objective-c)
* [OCaml](#ocaml)
* [Octave](#octave)
* [OpenGL ES](#opengl-es)
* [OpenSCAD](#openscad)
* [Oracle PL/SQL](#oracle-plsql)
* [Oracle Server](#oracle-server)
* [Parrot / Perl 6](#parrot--perl-6)
* [Perl](#perl)
* [PHP](#php)
* [PostgreSQL](#postgresql)
* [PowerShell](#powershell)
* [Processing](#processing)
* [Prolog](#prolog)
* [Python](#python)
    * [Django](#django)
    * [Flask](#flask)
* [R](#r)
* [Racket](#racket)
* [Ruby](#ruby)
    * [RSpec](#rspec)
    * [Sinatra](#sinatra)
    * [Ruby on Rails](#ruby-on-rails)
* [Rust](#rust)
* [Sage](#sage)
* [Scala](#scala)
* [Scheme](#scheme)
* [Scilab](#scilab)
* [Scratch](#scratch)
* [Sed](#sed)
* [Silverlight](#silverlight)
* [Smalltalk](#smalltalk)
* [SQL (implementation agnostic)](#sql-implementation-agnostic)
* [SQL Server](#sql-server)
* [Subversion](#subversion)
* [Tcl](#tcl)
* [Teradata](#teradata)
* [TeX](#tex)
* [TypeScript](#typescript)
* [Unix](#unix)
* [Vim](#vim)
* [Websphere](#websphere)
* [Windows 8](#windows-8)
* [Windows Phone](#windows-phone)
* [Worflow](#workflow)
* [xBase (dBase / Clipper / Harbour)](#xbase-dbase--clipper--harbour)


###Meta-Lists
* [25 Free Computer Science Ebooks](http://www.coderholic.com/25-free-computer-science-books/)
* [Cheat Sheets (Free)](http://refcardz.dzone.com/)
* [Free Smalltalk Books, collected by Stéphane Ducasse](http://stephane.ducasse.free.fr/FreeBooks.html)
* [Free Tech Books](http://www.freetechbooks.com/)
* [Hacker Shelf](http://hackershelf.com/browse/)
* [Microsoft Press: Free E-Books](http://blogs.msdn.com/b/microsoft_press/archive/2011/03/03/ebooks-list-of-our-free-books.aspx)
* [MindView Inc](http://www.mindviewinc.com/Books/)
* [O'Reilly's Commons](http://commons.oreilly.com/wiki/index.php/O%27Reilly_Commons)
* [O'Reilly's Open Books Project](http://oreilly.com/openbook/)
* [TechBooksForFree.com](http://www.techbooksforfree.com/)
* [Theassayer.org](http://theassayer.org/)
* [Wikibooks: Programming](http://en.wikibooks.org/wiki/Category%3aComputer_programming)
* [JSBooks - directory of free javascript ebooks](https://github.com/revolunet/JSbooks)
* [Learn X in Y minutes](http://learnxinyminutes.com/)
* [Microsoft Technologies, including books on Windows Azure, SharePoint, Visual Studio Guide, Windows phone development, ASP.net, Office365, etc. collection by Eric Ligman](http://blogs.msdn.com/b/mssmallbiz/archive/2012/07/27/large-collection-of-free-microsoft-ebooks-for-you-including-sharepoint-visual-studio-windows-phone-windows-8-office-365-office-2010-sql-server-2012-azure-and-more.aspx)
* [ More ebook download links on Microsoft Technologies, including books on Windows Azure, SharePoint, Visual Studio Guide, Windows phone development, ASP.net, etc. collection by Eric Ligman](http://blogs.msdn.com/b/mssmallbiz/archive/2012/07/30/another-large-collection-of-free-microsoft-ebooks-and-resource-kits-for-you-including-sharepoint-2013-office-2013-office-365-duet-2-0-azure-cloud-windows-phone-lync-dynamics-crm-and-more.aspx?wa=wsignin1.0)


###Graphics Programming
* [DirectX manual](http://www.xmission.com/~legalize/book/download/index.html) (draft)
* [Learning Modern 3D Graphics Programming](http://www.arcsynthesis.org/gltut/) (draft)
* [Introduction to Modern OpenGL](http://open.gl/)
* [GPU Gems](http://http.developer.nvidia.com/GPUGems/gpugems_part01.html)
* [GPU Gems 2](http://http.developer.nvidia.com/GPUGems2/gpugems2_part01.html) - [ch 8,14,18,29,30 as pdf](ftp://download.nvidia.com/developer/GPU_Gems_2/)
* [GPU Gems 3](http://http.developer.nvidia.com/GPUGems3/gpugems3_part01.html)
* [Graphics Programming Black Book](http://www.gamedev.net/page/resources/_/technical/graphics-programming-and-theory/graphics-programming-black-book-r1698)
* [ShaderX series](http://tog.acm.org/resources/shaderx/)
* [Tutorials for modern OpenGL](http://www.opengl-tutorial.org/)
* [OpenGL Programming Guide (The Red Book)](http://fly.srk.fer.hr/~unreal/theredbook/)
* [Blender 3D: Noob to Pro](http://en.wikibooks.org/wiki/Blender_3D:_Noob_to_Pro)
* [Grokking the GIMP](http://gimp-savvy.com/BOOK/index.html)

###Graphical User Interfaces
* [Programming with gtkmm 3](https://developer.gnome.org/gtkmm-tutorial/stable/)


###Language Agnostic

####Algorithms & Datastructures
* [Algorithms and Data-Structures](http://www.ethoberon.ethz.ch/WirthPubl/AD.pdf) (PDF)
* [Algorithms](http://www.cs.berkeley.edu/~vazirani/algorithms/) - Dasgupta, Papadimitriou, Vazirani (PDFs)
* [Algorithms Course Materials](http://compgeom.cs.uiuc.edu/~jeffe/teaching/algorithms/) - Jeff Erickson
* [Algorithms, 4th Edition](http://algs4.cs.princeton.edu/home/) - Robert Sedgewick and Kevin Wayne
* [Binary Trees](http://cslibrary.stanford.edu/110/BinaryTrees.pdf) (PDF)
* [Clever Algorithms](http://www.cleveralgorithms.com/nature-inspired/index.html)
* [Data Structures and Algorithms: Annotated Reference with Examples](https://drive.google.com/file/d/0B48k2jhdQ5P2aVlmMFB1UUJLczA/edit?usp=sharing)
* [The Algorithm Design Manual](http://www8.cs.umu.se/kurser/TDBAfl/VT06/algorithms/BOOK/BOOK/BOOK.HTM)
* [LEDA: A Platform for Combinatorial and Geometric Computing](http://www.mpi-inf.mpg.de/~mehlhorn/LEDAbook.html)
* [Planning Algorithms](http://planning.cs.uiuc.edu/)
* [Linked List Basics](http://cslibrary.stanford.edu/103/LinkedListBasics.pdf) (PDF)
* [Linked List Problems](http://cslibrary.stanford.edu/105/LinkedListProblems.pdf) (PDF)
* [Purely Functional Data Structures](http://www.cs.cmu.edu/~rwh/theses/okasaki.pdf) (PDF)
* [The Great Tree List Recursion Problem](http://cslibrary.stanford.edu/109/TreeListRecursion.pdf) (PDF)
* [Matters Computational](http://www.jjj.de/fxt/#fxtbook)
* [Algorithmic Graph Theory](http://code.google.com/p/graphbook/)
* [Foundations of Computer Science](http://infolab.stanford.edu/~ullman/focs.html) - Al Aho and Jeff Ullman
* [A Field Guide To Genetic Programming](http://dces.essex.ac.uk/staff/rpoli/gp-field-guide/toc.html)
* [The Art of Computer Programming](http://www.cs.utsa.edu/~wagner/knuth/) (fascicles, mostly volume 4) - Donald Knuth
* [Programming Pearls](http://www.cs.bell-labs.com/cm/cs/pearls/) - Jon Bentley
* [Algorithms for Programmers: Ideas and Source Code](http://www.jjj.de/fxt/fxtbook.pdf) (PDF)
* [Sequential and parallel sorting algorithms](http://www.inf.fh-flensburg.de/lang/algorithmen/sortieren/algoen.htm)
* [Text Algorithms](http://igm.univ-mlv.fr/~mac/REC/text-algorithms.pdf) (PDF)
* [Data Structures Succinctly Part 1, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/datastructurespart1) (PDF, Kindle) *(Just fill the fields with any values)*
* [Data Structures Succinctly Part 2, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/datastructurespart2) (PDF, Kindle) *(Just fill the fields with any values)*
* [Algorithms and Complexity](http://www.math.upenn.edu/~wilf/AlgoComp.pdf) (PDF)
* [The Design of Approximation Algorithms](http://www.designofapproxalgs.com/book.pdf) (PDF)
* [Lectures Notes on Algorithm Analysis and Computational Complexity (Fourth Edition)](http://larc.unt.edu/ian/books/free/lnoa.pdf), University of North Texas (PDF)
* [Problems on Algorithms (Second Edition)](http://larc.unt.edu/ian/books/free/poa.pdf), University of North Texas (PDF)
* [Mastering Algorithms with C](http://www.das.ufsc.br/~romulo/discipli/cad-fei/Mastering-Algorithms-with-C-Loudon.pdf) (PDF)


####Theoretical Computer Science
* [An Introduction to the Theory of Computation](http://www.cse.ohio-state.edu/~gurari/theory-bk/theory-bk.html)
* [Homotopy Type Theory: Univalent Foundations of Mathematics](http://homotopytypetheory.org/book/) (PDF)
* [Introduction to Computing](http://www.computingbook.org/)
* [Introduction to Theory of Computation](http://cg.scs.carleton.ca/~michiel/TheoryOfComputation/) (PDF) - Anil Maheshwari and Michiel Smid
* [Models of Computation](http://cs.brown.edu/people/jes/book/) - John E. Savage
* [Network Science](http://barabasilab.neu.edu/networksciencebook/index.html)
* [Programming Languages: Application and Interpretation (2nd Edition)](http://www.cs.brown.edu/~sk/Publications/Books/ProgLangs/)
* [Structure and Interpretation of Computer Programs](http://mitpress.mit.edu/sicp/)
* [Think Complexity](http://www.greenteapress.com/compmod/) - Allen B. Downey


####Operating systems
* [The Art of Unix Programming](http://catb.org/esr/writings/taoup/html/) - Eric S. Raymond
* [The Little Book of Semaphores](http://greenteapress.com/semaphores/) - Allen B. Downey
* [Operating Systems and Middleware](https://gustavus.edu/mcs/max/os-book/) (PDF and LaTeX)
* [Practical File System Design:The Be File System](http://www.nobius.org/~dbg/practical-file-system-design.pdf) (PDF) - Dominic Giampaolo


####Database
* [Database Fundamentals](http://public.dhe.ibm.com/software/dw/db2/express-c/wiki/Database_fundamentals.pdf) (PDF)
* [Foundations of Databases](http://webdam.inria.fr/Alice/)
* [The Theory of Relational Databases](http://web.cecs.pdx.edu/~maier/TheoryBook/TRD.html)

####Networking
* [802.11ac: A Survival Guide](http://chimera.labs.oreilly.com/books/1234000001739) - Matthew Gast
* [Code Connected vol.1](http://hintjens.wdfiles.com/local--files/main%3Afiles/cc1pe.pdf)(PDF) (book on ZeroMQ)
* [High-Performance Browser Networking](http://chimera.labs.oreilly.com/books/1230000000545/index.html)
* [The TCP/IP Guide](http://www.tcpipguide.com/free/t_toc.htm)
* [Understanding IP Addressing: Everything you ever wanted to know](http://www.apnic.net/__data/assets/pdf_file/0020/8147/501302.pdf) (PDF)
* [ZeroMQ Guide](http://zguide.zeromq.org/page%3Aall)
* [Network Security Tools](http://commons.oreilly.com/wiki/index.php/Network_Security_Tools)
* [HTTP Succinctly, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/http) (PDF, Kindle) *(Just fill the fields with any values)*
* [Computer Networking: Principles, Protocols and Practice, 2nd edition (CNP3bis)](http://cnp3bis.info.ucl.ac.be/) (PDF, EPUB + [sources](https://github.com/obonaventure/cnp3/tree/master/book-2nd)) - O. Bonaventure (in progress)

####Compiler Design
* [Compiler Construction](http://www.ethoberon.ethz.ch/WirthPubl/CBEAll.pdf) (PDF)
* [Let's Build a Compiler](http://www.stack.nl/~marcov/compiler.pdf) (PDF)
* [Linkers and loaders](http://www.iecc.com/linker/)
* [Practical and Theoretical Aspects of Compiler Construction](http://www.stanford.edu/class/archive/cs/cs143/cs143.1128/) (class lectures and slides)
* [Basics of Compiler Design (Anniversary Edition](http://www.diku.dk/~torbenm/Basics/) - Torben Mogensen

####Programming Paradigms
* [Introduction to Functional Programming](http://www.cl.cam.ac.uk/teaching/Lectures/funprog-jrh-1996/) (class lectures and slides)
* [Type Theory and Functional Programming](https://www.cs.kent.ac.uk/people/staff/sjt/TTFP/)

####Parallel Programming
* [How to Write Parallel Programs](http://www.lindaspaces.com/book/)
* [High Performance Computing](http://cnx.org/content/col11136/latest) (PDF, ePUB) - Charles Severance & Kevin Dowd
* [High Performance Computing Training](https://computing.llnl.gov/?set=training&page=index) (LLNL materials)
* [High-Performance Scientific Computing](http://bit.ly/hpc12) (class lectures and slides)
* [The OpenCL Programming Book](http://www.fixstars.com/en/opencl/book/OpenCLProgrammingBook/contents/)
* [Introduction to High-Performance Scientific Computing](http://tacc-web.austin.utexas.edu/veijkhout/public_html/istc/istc.html) - Victor Eijkhout
* [Is Parallel Programming Hard, And, If So, What Can You Do About It?](http://kernel.org/pub/linux/kernel/people/paulmck/perfbook/perfbook.html)
* [Introduction to Parallel Computing](https://computing.llnl.gov/tutorials/parallel_comp/) - Blaise Barney
* [Programming on Parallel Machines; GPU, Multicore, Clusters and More](http://heather.cs.ucdavis.edu/parprocbook) - Norm Matloff

####Software Architecture
* [Seamless Object-Oriented Software Architecture](http://www.bon-method.com/book_print_a4.pdf) (PDF)
* [How to write Unmaintainable Code](http://mindprod.com/jgloss/unmain.html)
* [Object-Oriented Reengineering Patterns](http://scg.unibe.ch/download/oorp/)
* [Patterns and Practices: Application Architecture Guide 2.0](http://www.codeplex.com/AppArchGuide)
* [The Definitive Guide to Building Code Quality](http://nexus.realtimepublishers.com/dgbcq.php)
* [Patterns of Software: Tales from the Software Community](http://www.dreamsongs.com/Files/PatternsOfSoftware.pdf) (PDF)
* [Best Kept Secrets of Peer Code Review](http://smartbear.com/codecollab-code-review-book.php)
* [Domain Driven Design Quickly](http://www.infoq.com/minibooks/domain-driven-design-quickly)
* [Essential Skills for Agile Development](http://elliottback.com/wp/essential-skills-for-agile-development/)
* [Guide to the Software Engineering Body of Knowledge](http://www.computer.org/portal/web/swebok)
* [Programming Reliable Systems (Joe Armstrong's PhD thesis)](http://www.sics.se/~joe/thesis/armstrong_thesis_2003.pdf) (PDF)
* [How to Design Programs](http://www.htdp.org/)
* [NASA Manager Handbook for Software Development](http://homepages.inf.ed.ac.uk/dts/pm/Papers/nasa-manage.pdf) (PDF)
* [NASA Software Measurement Handbook](http://www.scribd.com/doc/7181362/NASA-Software-Measurement-Guidebook)
* [Don't Just Roll the Dice](http://www.neildavidson.com/dontjustrollthedice.html)
* [Data-Oriented Design](http://www.dataorienteddesign.com/dodmain/dodmain.html)
* [Software Engineering for Internet Applications](http://philip.greenspun.com/seia/)
* [Scrum and XP from the Trenches](http://www.infoq.com/minibooks/scrum-xp-from-the-trenches)
* [Kanban and Scrum - making the most of both](http://www.infoq.com/minibooks/kanban-scrum-minibook)
* [Web API Design](https://blog.apigee.com/detail/announcement_new_ebook_on_web_api_design)
* [OAuth - The Big Picture](http://pages.apigee.com/oauth-big-picture-ebook.html)

####Open Source Ecosystem
* [Data Journalism Handbook](http://datajournalismhandbook.org/)
* [Free Software, Free Society](http://shop.fsf.org/product/free-software-free-society-2/)
* [Free as in Freedom](http://static.fsf.org/nosvn/faif-2.0.pdf) (PDF)
* [Getting started with Open source development](http://public.dhe.ibm.com/software/dw/db2/express-c/wiki/Getting_started_with_open_source_development_p2.pdf) (PDF)
* [Innovation Happens Elsewhere](http://dreamsongs.com/IHE/IHE.html)
* [Open Advice: FOSS: What We Wish We Had Known When We Started](http://open-advice.org/)
* [Producing Open Source Software](http://producingoss.com/)
* The Art of Community: Building the New Age of Participation; [First edition](http://www.artofcommunityonline.org/downloads/jonobacon-theartofcommunity-1ed.pdf) (PDF), [Second edition](http://ubuntuone.com/0n352YwUjlcFR8PjIELH67) (PDF) - Jono Bacon
* [The Cathedral and the Bazaar](http://www.catb.org/esr/writings/cathedral-bazaar/) - Eric S. Raymond
* [The Future of the Internet](http://futureoftheinternet.org/)
* [The Architecture of Open Source Applications: Vol. 1: Elegance, Evolution, and a Few Fearless Hacks; Vol. 2: Structure, Scale, and a Few More Feerless Hacks](http://www.aosabook.org/en/index.html)
* [The Performance of Open Source Applications](http://aosabook.org/en/)
* [The Future of Ideas](http://the-future-of-ideas.com/download/lessig_FOI.pdf)
* [The Wealth of Networks: How Social Production Transforms Markets and Freedom](http://cyber.law.harvard.edu/wealth_of_networks/Main_Page) - Yochai Benkler

####Information Retrieval
* [Introduction to Information Retrieval](http://nlp.stanford.edu/IR-book/information-retrieval-book.html)
* [Information Retrieval: A Survey](http://www.csee.umbc.edu/csee/research/cadip/readings/IR.report.120600.book.pdf) (PDF)

####Datamining
* [Data Mining and Analysis: Fundamental Concepts and Algorithms](http://www.dataminingbook.info/DokuWiki/doku.php) (Draft)
* [Mining of Massive Datasets](http://infolab.stanford.edu/~ullman/mmds.html)
* [The Elements of Statistical Learning](http://www-stat.stanford.edu/~tibs/ElemStatLearn/) - Trevor Hastie, Robert Tibshirani, and Jerome Friedman
* [A Programmer's Guide to Data Mining](http://guidetodatamining.com/) (Draft) - Ron Zacharski
* [Theory and Applications for Advanced Text Mining](http://www.intechopen.com/books/theory-and-applications-for-advanced-text-mining)
* [Internet Advertising: An Interplay among Advertisers, Online Publishers, Ad Exchanges and Web Users](http://arxiv.org/pdf/1206.1754v2.pdf) (PDF)
* [Data Mining Algorithms In R](http://en.wikibooks.org/wiki/Data_Mining_Algorithms_In_R)
* [Introduction to Data Science](http://jsresearch.net/wiki/projects/teachdatascience/Teach_Data_Science.html) - Jeffrey Stanton
* [School of Data Handbook](http://schoolofdata.org/handbook/)
* [Data Jujitsu: The Art of Turning Data into Product](http://www.oreilly.com/data/free/data-jujitsu.csp) *(Just fill the fields with any values)*

####Machine Learning
* [Programming Computer Vision with Python](http://programmingcomputervision.com/)
* [Computer Vision: Algorithms and Applications](http://hackershelf.com/book/134/computer-vision-algorithms-and-applications/)
* [Bayesian Reasoning and Machine Learning](http://web4.cs.ucl.ac.uk/staff/D.Barber/pmwiki/pmwiki.php?n=Brml.HomePage)
* [Introduction to Machine Learning](http://alex.smola.org/drafts/thebook.pdf) (PDF)
* [Gaussian Processes for Machine Learning](http://www.gaussianprocess.org/gpml/)
* [Information Theory, Inference, and Learning Algorithms](http://www.inference.phy.cam.ac.uk/itila/)
* [Artificial Intelligence | Machine Learning](http://see.stanford.edu/see/materials/aimlcs229/handouts.aspx) - Andrew Ng *(Notes, lectures, and problems)*
* [Probabilistic Models in the Study of Language](http://idiom.ucsd.edu/~rlevy/pmsl_textbook/text.html) (Draft, with R code)
* [Reinforcement Learning: An Introduction](http://webdocs.cs.ualberta.ca/~sutton/book/ebook/the-book.html)
* [A First Encounter with Machine Learning](https://www.ics.uci.edu/~welling/teaching/ICS273Afall11/IntroMLBook.pdf) (PDF)
* [Learning Deep Architectures for AI](http://www.iro.umontreal.ca/~bengioy/papers/ftml_book.pdf) (PDF)
* [Machine Learning, Neural and Statistical Classification](http://www1.maths.leeds.ac.uk/~charles/statlog/whole.pdf) (PDF) or [online version](http://www1.maths.leeds.ac.uk/~charles/statlog/) - This book is based on the EC (ESPRIT) project StatLog.
* [Neural Networks and Deep Learning](http://neuralnetworksanddeeplearning.com)
* [A Course in Machine Learning](http://ciml.info/dl/v0_8/ciml-v0_8-all.pdf) (PDF)
* [The Python Game Book](http://thepythongamebook.com/en:start)

####Mathematics
* [Think Bayes: Bayesian Statistics Made Simple](http://www.greenteapress.com/thinkbayes/) - Allen B. Downey
* [Think Stats: Probability and Statistics for Programmers](http://greenteapress.com/thinkstats/) (code written in Python) - Allen B. Downey
* [Mathematical Logic - an Introduction](http://www.ii.uib.no/~michal/und/i227/book/book.pdf) (PDF)
* [Bayesian Methods for Hackers](https://github.com/CamDavidsonPilon/Probabilistic-Programming-and-Bayesian-Methods-for-Hackers) - Cameron Davidson-Pilon
* [Introduction to Statistical Thought](http://www.math.umass.edu/~lavine/Book/book.html) - Michael Lavine
* [Mathematics for Computer Science (November 2013 Version)](http://courses.csail.mit.edu/6.042/fall13/mcs.pdf) (PDF) - Eric Lehman
* [Calculus Made Easy](http://www.gutenberg.org/ebooks/33283) (PDF) - Silvanus P. Thompson
* [Category Theory for Computing Science](http://www.math.mcgill.ca/triples/Barr-Wells-ctcs.pdf) (PDF)
* [Essentials of Metaheuristics](http://cs.gmu.edu/~sean/book/metaheuristics/) by Sean Luke
* [Advanced Data Analysis from an Elementary Point of View](http://www.stat.cmu.edu/~cshalizi/ADAfaEPoV/)
* [Probability and Statistics Cookbook](http://matthias.vallentin.net/probability-and-statistics-cookbook/)
* [A First Course in Linear Algebra](http://linear.ups.edu/) - Robert A. Beezer
* [Collaborative Statistics](http://cnx.org/content/col10522/latest/)
* [CK-12 Probability and Statistics - Advanced](http://www.ck12.org/book/Probability-and-Statistics---Advanced-%2528Second-Edition%2529/)
* [Concepts & Applications of Inferential Statistics](http://vassarstats.net/textbook/)
* [Introduction to Probability](http://www.dartmouth.edu/~chance/teaching_aids/books_articles/probability_book/book.html) - Charles M. Grinstead and J. Laurie Snell
* [OpenIntro Statistics](http://www.openintro.org/stat/textbook.php)
* [Probability and Statistics EBook](http://wiki.stat.ucla.edu/socr/index.php/Probability_and_statistics_EBook)
* [Statistics Done Wrong](http://www.refsmmat.com/statistics/) - Alex Reinhart
* [Number Theory](http://web.mit.edu/~holden1/www/math/number-theory.pdf) (PDF)

####Cellular Automata
* [Cellular Automata Books](http://uncomp.uwe.ac.uk/genaro/Cellular_Automata_Repository/Books.html)

####Misc
* [97 Things Every Programmer Should Know](http://programmer.97things.oreilly.com/)
* [97 Things Every Programmer Should Know - Extended](https://leanpub.com/97-Things-Every-Programmer-Should-Know-Extended)
* [A Mathematical Theory of Communication](http://cm.bell-labs.com/cm/ms/what/shannonday/paper.html) by Claude E.Shannon
* [Asterisk™: The Definitive Guide](http://asteriskdocs.org/en/3rd_Edition/asterisk-book-html-chunk/index.html)
* [How to Think Like a Computer Scientist](http://openbookproject.net/thinkcs/) -  Peter Wentworth, Jeffrey Elkner, Allen B. Downey, and Chris Meyers
* [I Am a Bug](http://www.amibug.com/iamabug/p01.html)
* [Learn to Program](http://pine.fm/LearnToProgram/)
* [Foundations of Programming](http://codebetter.com/files/folders/codebetter_downloads/entry179694.aspx)
* [Communicating Sequential Processes](http://www.usingcsp.com/cspbook.pdf) (PDF) by Tony Hoare
* [Come, Let's Play: Scenario-Based Programming Using Live Sequence Charts](http://www.scribd.com/doc/175241338/Come-Let-s-Play)
* [Computer Musings](http://scpd.stanford.edu/knuth/index.jsp) (lectures by Donald Knuth)
* [Culture \& Empire: Digital Revolution](http://hintjens.com/books) (PDF)
* [How Computers Work](http://www.fastchip.net/howcomputerswork/p1.html)
* [Data-Intensive Text Processing with MapReduce](http://www.umiacs.umd.edu/~jimmylin/MapReduce-book-final.pdf) (PDF)
* [Designing Interfaces](http://designinginterfaces.com) by Jennifer Tidwell
* [Digital Signal Processing For Engineers and Scientists](http://www.dspguide.com/)
* [Digital Signal Processing For Communications](http://www.sp4comm.org/)
* [Distributed systems for fun and profit](http://book.mixu.net/distsys/single-page.html)
* [Flow based Programming](http://jpaulmorrison.com/fbp/#book)
* [Getting Real](http://gettingreal.37signals.com/)
* [Magic Ink: Information Software and The Graphical Interface](http://worrydream.com/#!/MagicInk) by Bret Victor
* [Modeling Reactive Systems with Statecharts](http://www.scribd.com/doc/167971960/Modeling-Reactive-Systems-With-Statecharts)
* [Networks, Crowds, and Markets: Reasoning About a Highly Connected World](http://www.cs.cornell.edu/home/kleinber/networks-book/)
* [PNG: The Definitive Guide](http://www.libpng.org/pub/png/book/)
* [Pointers And Memory](http://cslibrary.stanford.edu/102/PointersAndMemory.pdf) (PDF)
* [Programmer's Motivation for Beginners](http://programmersmotivation.com/)
* [Project Oberon](http://www-old.oberon.ethz.ch/WirthPubl/ProjectOberon.pdf) (PDF)
* [Security Engineering](http://www.cl.cam.ac.uk/~rja14/book.html)
* [Small Memory Software](http://www.smallmemory.com/book.html)
* [SVG Essentials](http://commons.oreilly.com/wiki/index.php/SVG_Essentials)
* [Object-Oriented Reengineering Patterns](http://win.ua.ac.be/~sdemey/) - Serge Demeyer, Stéphane Ducasse and Oscar Nierstrasz
* [Mother Tongues of Computer Languages](http://www.digibarn.com/collections/posters/tongues/) (PNG)
* [Open Government;Collaboration, Transparency, and Participation in Practice](https://github.com/oreillymedia/open_government)
* [How to Become a Programmer](http://softwarebyrob.wpengine.netdna-cdn.com/assets/Software_by_Rob%20_How_to_Become_a%20_Programmer_1.0.pdf)

####Web Performance
* [Book of Speed](http://www.bookofspeed.com/index.html) by Stoyan Stefanov
* [Mature Optimization](http://carlos.bueno.org/optimization/mature-optimization.pdf) by Carlos Bueno

####MOOC
* [MIT OCW](http://ocw.mit.edu/OcwWeb/web/home/home/index.htm)
* [Coursera](https://www.coursera.org/)
* [Udacity](https://www.udacity.com/)
* [edX](https://www.edx.org/)

####Professional Development
* [Don't Just Roll the Dice](http://download.red-gate.com/ebooks/DJRTD_eBook.pdf) (PDF) *(RedGate, By Neil Davidson)*
* [Confessions of an IT Manager](http://download.red-gate.com/ebooks/DotNet/Confessions_IT_Manager.zip) *(RedGate, By Phil Factor)*
* [How to be a Programmer: A Short, Comprehensive, and Personal Summary](http://samizdat.mines.edu/howto/HowToBeAProgrammer.html) by Robert L. Read

####Security
* [Handbook of Applied Cryptography](http://cacr.uwaterloo.ca/hac/index.html)
* [OWASP Top 10 for .NET Developers](http://www.troyhunt.com/2011/12/free-ebook-owasp-top-10-for-net.html)
* [Intrusion Detection Systems with Snort](http://ptgmedia.pearsoncmg.com/images/0131407333/downloads/0131407333.pdf)
* [Security Engineering](http://www.cl.cam.ac.uk/~rja14/book.html)



###Ada
* [Ada 95: The Craft of Object-Oriented Programming](http://faculty.cs.wwu.edu/reedyc/AdaResources/bookhtml/contents.htm)
* [Ada Distilled](http://www.adapower.com/pdfs/AdaDistilled07-27-2003.pdf) (PDF)
* [Ada for Software Engineers](http://pnyf.inf.elte.hu/kto/oktatas/ada/books/ase.pdf) (PDF)
* [The Big Online Book of Linux Ada Programming](http://www.pegasoft.ca/resources/boblap/book.html)


###Agda
* [Agda Tutorial](https://people.inf.elte.hu/divip/AgdaTutorial/Index.html)


###Android
* [Google Android Developer Training](https://developer.android.com/training/index.html)
* [CodePath Android Cliffnotes](https://github.com/thecodepath/android_guides/wiki)
* [Coreservlets Android Programming Tutorial](http://www.coreservlets.com/android-tutorial/)
* [Expert Android and Eclipse development knowledge](http://www.vogella.com/android.html)
* [Styling Android](http://www.stylingandroid.com/)
* [TechnoTalkative Android](http://www.technotalkative.com/android/)
* [Android Programming Guide for Beginners](http://eduonix.com/offers/Android_ebook_free_offer.html) (PDF - need email confirmation)
* [Android 4 App Development Essentials](http://www.techotopia.com/index.php/Android_4_App_Development_Essentials)


###APL
* [A Practical Introduction to APL1 & APL2](http://aplwiki.com/BooksAndPublications#A_Practical_Introduction_to_APL1_.26_APL2)
* [A Practical Introduction to APL2 & APL3](http://aplwiki.com/BooksAndPublications#A_Practical_Introduction_to_APL3_.26_APL4)
* [Mastering Dyalog APL](http://www.dyalog.com/intro/) (PDF)


###Arduino
* [Introduction to Arduino](http://playground.arduino.cc/Main/ManualsAndCurriculum)


###ASP.NET MVC
* [ASP.NET MVC Music Store](http://mvcmusicstore.codeplex.com/)


###Assembly Language
* [Paul Carter's Tutorial on x86 Assembly](http://drpaulcarter.com/pcasm/)
* [Professional Assembly Language](http://blog.hit.edu.cn/jsx/upload/AT%EF%BC%86TAssemblyLanguage.pdf) (PDF)
* [Programming from the Ground Up](http://download.savannah.gnu.org/releases/pgubook/ProgrammingGroundUp-1-0-booksize.pdf) (PDF)
* [Software optimization resources by Agner Fog](http://www.agner.org/optimize/)
* [The Art of Assembly Language Programming](http://cs.smith.edu/~thiebaut/ArtOfAssembly/artofasm.html)
* [x86 Assembly](http://en.wikibooks.org/wiki/X86_Assembly)
* [Ralf Brown's Interrupt List](http://www.ctyme.com/rbrown.htm)
* [Easy 6502](http://skilldrick.github.io/easy6502/) - Nick Morgan
* [Programmed Introduction to MIPS Assembly Language](http://chortle.ccsu.edu/AssemblyTutorial/index.html)
* [Assembly Language Succinctly](http://www.syncfusion.com/Content/downloads/ebook/Assembly_Language_Succinctly.pdf)
* [The Second Book Of Machine Language](http://www.atariarchives.org/2bml/)

####Non-X86
* [Machine Code for Beginners](http://www.worldofspectrum.org/infoseekid.cgi?id=2000227) (PDF) by Lisa Watts and Mike Wharton [Z80 and 6502 CPUs]
* [Machine Language for Beginners](http://archive.org/details/ataribooks-machine-language-for-beginners) by Richard Mansfield [6502 CPU]


###Autotools
* [GNU Autoconf, Automake and Libtool](http://sourceware.org/autobook/)
* [Autotools Mythbuster](https://www.flameeyes.eu/autotools-mythbuster/)


###Awk
* [Awk](http://www.grymoire.com/Unix/Awk.html) - Bruce Barnett


###Bash
* [Advanced Bash-Scripting Guide](http://tldp.org/LDP/abs/html/)
* [BASH Programming- Mike G mikkey ](http://tldp.org/HOWTO/Bash-Prog-Intro-HOWTO.html)
* [Getting Started with BASH](http://www.hypexr.org/bash_tutorial.php)
* [Bash Guide for Beginners](http://www.tldp.org/LDP/Bash-Beginners-Guide/html/) by Machtelt Garrels
* [Lhunath's Bash Guide](http://mywiki.wooledge.org/BashGuide)
* [The Command Line Crash Course](http://learncodethehardway.org/cli/book/) (also a Powershell reference)
* [Learning the bash Shell](http://www.redbrick.dcu.ie/~teapott/MECS/Notes/learning_bash.pdf)


###Basic
* [BASIC programming language - Wikibooks](http://en.wikibooks.org/wiki/Category:BASIC_programming_language)
* [A beginner's guide to Gambas](http://beginnersguidetogambas.com/)
* [How To Gambas3 Guides](http://howtogambas.org/index.php?page=cedi)
* [Visual Basic Essentials](http://www.techotopia.com/index.php/Visual_Basic_Essentials)


###C
* [A Tutorial on Pointers and Arrays in C](http://home.netcom.com/~tjensen/ptr/pointers.htm)
* [Beej's Guide to C Programming](http://beej.us/guide/bgc/)
* [Beej's Guide to Network Programming](http://beej.us/guide/bgnet/)
* [The C book](http://publications.gbdirect.co.uk/c_book/)
* [Essential C](http://cslibrary.stanford.edu/101/EssentialC.pdf) (PDF)
* [Learn C the hard way](http://c.learncodethehardway.org/book/)
* [The new C standard - an annotated reference](http://www.knosof.co.uk/cbook/cbook.html)
* [Object Oriented Programming in C](http://www.planetpdf.com/codecuts/pdfs/ooc.pdf) (PDF)
* [C Programming - Wikibooks](http://en.wikibooks.org/wiki/Programming:C)
* [Deep C](http://www.slideshare.net/olvemaudal/deep-c)
* [Advanced Linux Programming] (http://www.advancedlinuxprogramming.com/)


###C++
* [C++ Annotations](http://cppannotations.sourceforge.net/)
* [C++ GUI Programming With Qt 3](http://www.computer-books.us/cpp_0010.php)
* [CS106X Programming Abstractions in C++](http://www.stanford.edu/class/cs106x/)
* [Matters Computational: Ideas, Algorithms, Source Code, by Jorg Arndt](http://www.jjj.de/fxt/fxtbook.pdf) (PDF)
* [Software optimization resources by Agner Fog](http://www.agner.org/optimize/)
* [Thinking in C++, Second Edition, Vol. 1.](http://www.mindviewinc.com/downloads/TICPP-2nd-ed-Vol-one.zip) [(Vol. 2)](http://www.mindviewinc.com/downloads/TICPP-2nd-ed-Vol-two.zip) - Bruce Eckel
* [How To Think Like a Computer Scientist: C++ Version](http://greenteapress.com/thinkcpp/index.html) - Allen B. Downey
* Also see: [The Definitive C++ Book Guide and List](http://stackoverflow.com/q/388242/511601)
* [Open Data Structures (In C++)](http://opendatastructures.org/ods-cpp.pdf) (PDF)
* [C++ Succinctly, Syncfusion ](http://www.syncfusion.com/resources/techportal/ebooks/cplusplus) (PDF, Kindle) *(Just fill the fields with any values)*
* [Learn C++.](http://www.learncpp.com/) (PDF, Online)
* [Software Design Using C++](http://cis.stvincent.edu/html/tutorials/swd/) - Br. David Carlson and Br. Isidore Minerd
* [Introduction to Design Patterns in C++ with Qt](http://ptgmedia.pearsoncmg.com/images/9780131879058/downloads/0131879057_Ezust_book.pdf)
* [Data Structures and Algorithms with Object-Oriented Design Patterns in C++](http://www.brpreiss.com/books/opus4/index.html)
* [The Boost C++ libraries](http://en.highscore.de/cpp/boost)
* [C++ Cookbook](http://staff.ppu.edu/dkhalid/O'Reilly%20-%20C++%20Cookbook%20%282007%29.pdf) (PDF)
* [The Rook's Guide to C++](http://rooksguide.org/2013/11/26/version-1-0-is-out/) (PDF)
* [Game Programming Patterns](http://gameprogrammingpatterns.com/)


###Clojure
* [A Brief Beginner’s Guide To Clojure](http://www.unexpected-vortices.com/clojure/brief-beginners-guide/)
* [Clojure - Functional Programming for the JVM](http://java.ociweb.com/mark/clojure/article.html)
* [Clojure Cookbook](https://github.com/clojure-cookbook/clojure-cookbook)
* [Clojure for the Brave and True](http://www.braveclojure.com/)
* [Clojure Programming](http://en.wikibooks.org/wiki/Clojure_Programming)
* [The Clojure Style Guide](https://github.com/bbatsov/clojure-style-guide)
* [Data Sorcery with Clojure](http://data-sorcery.org/contents/)
* [Modern cljs](https://github.com/magomimmo/modern-cljs)
* [Clojure Koans](http://clojurekoans.com/)
* [ClojureScript Koans](http://clojurescriptkoans.com/)


###COBOL
* [COBOL Programming Fundamental](http://ibmtc.hust.edu.cn/zos-cobol/cobol/resource/COBOL_Programming_Fundamental.pdf) (PDF)
* [OpenCOBOL 1.1 - Programmer's Guide](http://opencobol.add1tocobol.com/OpenCOBOL%20Programmers%20Guide.pdf) (PDF)


###CoffeeScript
* [Smooth CoffeeScript](http://autotelicum.github.com/Smooth-CoffeeScript/SmoothCoffeeScript.html)
* [The Little Book on CoffeeScript](http://arcturo.github.com/library/coffeescript/)
* [CoffeeScript Ristretto](https://leanpub.com/coffeescript-ristretto/read)


###ColdFusion
* [CFML In 100 Minutes](https://github.com/mhenke/CFML-in-100-minutes/blob/master/cfml100mins.markdown)
* [Learn CF in a Week](http://learncfinaweek.com/)


###Cool
* [CoolAid: The Cool 2013 Reference Manual](http://www.cs.uwm.edu/~cs654/handouts/cool-manual.pdf) (PDF)


###Coq
* [Software Foundations](http://www.cis.upenn.edu/~bcpierce/sf/)
* [Certified Programming with Dependent Types](http://adam.chlipala.net/cpdt/html/toc.html)


###D
* [Programming in D](http://ddili.org/ders/d.en/)


###Dart
* [What is Dart?](http://shop.oreilly.com/product/0636920025887.do)


###DB2
* [Getting started with DB2 Express-C](http://public.dhe.ibm.com/software/dw/db2/express-c/wiki/Getting_Started_with_DB2_Express_v9.7_p4.pdf) (PDF)
* [Getting started with IBM Data Studio for DB2](http://public.dhe.ibm.com/software/dw/db2/express-c/wiki/Getting_Started_with_IBM_Data_Studio_for_DB2_p3.pdf) (PDF)
* [Getting started with IBM DB2 development](http://public.dhe.ibm.com/software/dw/db2/express-c/wiki/Getting_Started_with_DB2_App_Dev_p2.pdf) (PDF)


###Delphi / Pascal
* [Essential Pascal Version 1 and 2](http://www.marcocantu.com/epascal/)


###DTrace
* [IllumOS Dynamic Tracing Guide](http://dtrace.org/guide/preface.html)


###Elasticsearch
* [Exploring Elasticsearch](http://exploringelasticsearch.com/)


###Emacs
* [GNU Emacs Manual, 17th Edition, v. 24.2](http://shop.fsf.org/product/Emacs_Manual_24/)
* [An Introduction to Programming in Emacs Lisp, 3rd Edition](https://www.gnu.org/software/emacs/manual/html_node/eintr/index.html)
* [GNU Emacs Lisp Reference Manual](http://www.gnu.org/software/emacs/manual/elisp.html)


###Erlang
* [Études for Erlang](http://chimera.labs.oreilly.com/books/1234000000726/index.html) - J. David Eisenberg
* [Learn You Some Erlang For Great Good](http://learnyousomeerlang.com/) - Frederic Trottier-Hebert
* [Concurrent Programming in ERLANG](http://www.erlang.org/download/erlang-book-part1.pdf)
* [Erlang Handbook](https://github.com/esl/erlang-handbook/raw/master/output/ErlangHandbook.pdf) (PDF)


###F Sharp
* [F Sharp Programming](http://en.wikibooks.org/wiki/F_Sharp_Programming) in Wikibooks
* [Real World Functional Programming](http://msdn.microsoft.com/en-us/library/hh314518.aspx) (MSDN Chapters)
* [Programming Language Concepts for Software Developers](http://www.itu.dk/courses/BPRD/E2009/plcsd-1-2.pdf) (PDF)
* [F# Succinctly, SyncFusion](http://www.syncfusion.com/resources/techportal/ebooks/fsharp) (PDF, Kindle) *(Just fill the fields with any values)*


###Flex
* [Getting started with Adobe Flex](http://public.dhe.ibm.com/software/dw/db2/express-c/wiki/Getting_Started_with_Adobe_Flex_p2.pdf) (PDF)
* [Adobe Flex 2, Programming Actionscript 3.0](http://download.macromedia.com/pub/documentation/en/flex/2/prog_actionscript30.pdf) (PDF)


###Force.com
* [Force.com Fundamentals](http://wiki.developerforce.com/page/Force_Platform_Fundamentals) (HTML)
* [Force.com Workbook](http://www.salesforce.com/us/developer/docs/workbook/index.htm) (HTML)
* [Force.com Integration Workbook](http://www.salesforce.com/us/developer/docs/integration_workbook/index.htm) (HTML)
* [Apex Workbook](http://www.salesforce.com/us/developer/docs/apex_workbook/index.htm) (HTML)
* [Visualforce Workbook](http://www.salesforce.com/us/developer/docs/workbook_vf/index.htm) (HTML)
* [Database.com Workbook](http://www.salesforce.com/us/developer/docs/workbook_database/index.htm) (HTML)
* [Analytics Workbook](http://www.salesforce.com/us/developer/docs/workbook_analytics/index.htm) (HTML)
* [ISVForce Workbook](http://www.salesforce.com/us/developer/docs/workbook_isv/index.htm) (HTML)
* [Cloud Flow Designer Workbook](http://www.salesforce.com/us/developer/docs/workbook_flow/index.htm) (HTML)
* [Security Workbook](http://www.salesforce.com/us/developer/docs/workbook_security/index.htm) (HTML)
* [Service Cloud Workbook](http://www.salesforce.com/us/developer/docs/workbook_service_cloud/index.htm) (HTML)
* [Site.com Workbook](http://www.salesforce.com/us/developer/docs/workbook_siteforce/index.htm) (HTML)
* [Heroku Postgres](http://media.developerforce.com/workbooks/HerokuPostgres_Workbooks_Web_Final.pdf) (PDF)
* [Apex Design Patterns and Best Practices](http://www.gobookee.org/get_book.php?u=aHR0cDovL3d3dy5zdW5kb2dpbnRlcmFjdGl2ZS5jb20vd2hpdGVwYXBlcnMvU1VOX0NodWNrX0FwZXhkZXNpZ25wYXR0ZXJucy5wZGYKQXBleCBEZXNpZ24gUGF0dGVybnMgYW5kIEJlc3QgUHJhY3RpY2VzIC0gU3VuZG9n)


###Forth
* [Starting Forth](http://home.iae.nl/users/mhx/sf.html)
* [Thinking Forth](http://thinking-forth.sourceforge.net/)
* [Programming Forth](http://www.mpeforth.com/arena/ProgramForth.pdf) (PDF)
* [A Beginner's Guide to Forth](http://hackershelf.com/book/482/a-beginners-guide-to-forth/)
* [And so Forth...](http://ficl.sourceforge.net/pdf/Forth_Primer.pdf) (PDF)
* [Thoughtful Programming and Forth](http://www.ultratechnology.com/forth.htm)


###Fortran
* [Fortran programming language - Wikibooks](http://en.wikibooks.org/wiki/Category:Fortran_programming_language)
* [Introduction to fortran 95 and numerical computing: a jump-start for scientists and engineers](http://people.cs.vt.edu/~asandu/Deposit/Fortran95_notes.pdf)


###Git
* [Pro Git](http://git-scm.com/book) - Scott Chacon
* [Git Immersion](http://gitimmersion.com)
* [Git internals](https://github.com/pluralsight/git-internals-pdf/raw/master/drafts/peepcode-git.pdf) (PDF)
* [Git Magic](http://www-cs-students.stanford.edu/~blynn/gitmagic/)
* [Git Pocket Guide](http://chimera.labs.oreilly.com/books/1230000000561/index.html) - Richard E. Silverman
* [Git Reference](http://www.gitref.org)
* [Version Control by Example (Mercurial, Subversion, Verasity)](http://www.ericsink.com/vcbe/)
* [Git Succinctly, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/git) (PDF, Kindle) *(Just fill the fields with any values)*
* [Think Like (a) Git: A Guide for the Perplexed](http://think-like-a-git.net)
* [Git In The Trenches](http://cbx33.github.io/gitt/index.html)
* [Conversational Git](http://blog.anvard.org/conversational-git/)
* [Git From The Bottom Up](http://ftp.newartisans.com/pub/git.from.bottom.up.pdf) (PDF)


###Go
* [The Go Tutorial](http://golang.org/doc/go_tutorial.html)
* [Go by Example](https://gobyexample.com/)
* [Learning Go](http://www.miek.nl/projects/learninggo/)
* [An Introduction to Programming in Go](http://www.golang-book.com/)
* [Network programming with Go](http://jan.newmarch.name/go/)


###Gradle
* [Building and Testing with Gradle](http://www.gradleware.com/registered-access?content=books%2Fbuilding-and-testing%2F)


###Grails
* [Getting Started with Grails](http://www.infoq.com/minibooks/grails-getting-started)


###Hadoop
* [Hadoop Illuminated](http://hadoopilluminated.com/book.php) - Mark Kerzner & Sujee Maniyam
* [Programming Pig](http://chimera.labs.oreilly.com/books/1234000001811/index.html) - Alan Gates


###Haskell
* [A Haskell School of Music](http://haskell.cs.yale.edu/?post_type=publication&p=112) (PDF) (work in progress)
* [Beautiful Code, Compelling Evidence](http://vis.renci.org/jeff/2009/01/16/beautiful-code-compelling-evidence/) (PDF)
* [Haskell and Yesod](http://www.yesodweb.com/book-1.2)
* [Learn You a Haskell for Great Good](http://learnyouahaskell.com/) - Miran Lipovača
* [Natural Language Processing for the Working Programmer](http://nlpwp.org/book/index.xhtml)
* [Parallel and Concurrent Programming in Haskell](http://chimera.labs.oreilly.com/books/1230000000929)
* [Real World Haskell](http://book.realworldhaskell.org/)
* [Wikibook Haskell](http://en.wikibooks.org/wiki/Haskell)
* [Yet Another Haskell Tutorial](http://hal3.name/docs/daume02yaht.pdf) (PDF)
* [Haskell no panic](http://lisperati.com/haskell/)
* [A Gentle Introduction to Haskell](http://www.haskell.org/tutorial/)
* [Speeding Through Haskell](http://www.sthaskell.com/)
* [Learn Haskell Fast and Hard](http://yannesposito.com/Scratch/en/blog/Haskell-the-Hard-Way)
* [Haskell web Programming](http://yannesposito.com/Scratch/fr/blog/Yesod-tutorial-for-newbies/) (Yesod tutorial)
* [The Haskell Road to Logic, Math and Programming](http://fldit-www.cs.uni-dortmund.de/~peter/PS07/HR.pdf) (PDF)
* [Haskell :: Functional programming with types](http://upload.wikimedia.org/wikipedia/commons/2/26/Haskell.pdf)


###HTML / CSS
* [Dive Into HTML5](http://diveintohtml5.info/) ([PDF](http://mislav.uniqpath.com/2011/10/dive-into-html5/)) - Mark Pilgrim
* [GA Dash](http://dash.generalassemb.ly)
* [HTML Canvas Deep Dive](http://joshondesign.com/p/books/canvasdeepdive/toc.html) - Josh Marinacci
* [HTML Dog Tutorials](http://www.htmldog.com/)
* [HTML5 Canvas](http://chimera.labs.oreilly.com/books/1234000001654/index.html) - Steve Fulton & Jeff Fulton
* [HTML5 for Publishers](http://chimera.labs.oreilly.com/books/1234000000770/index.html) - Sanders Kleinfeld
* [HTML5 For Web Designers](http://html5forwebdesigners.com/) - Jeremy Keith
* [Learn HTML5 Programming From Scratch](https://www.udemy.com/learn-html5-programming-from-scratch/)
* [Learn CSS Layout](http://learnlayout.com/)
* [Scalable and Modular Architecture for CSS](http://smacss.com) - Jonathan Snook
* [Web Audio API](http://chimera.labs.oreilly.com/books/1234000001552) - Boris Smus
* [A beginner's guide to HTML&CSS](http://learn.shayhowe.com/html-css/)
* [An advanced guide to HTML&CSS](http://learn.shayhowe.com/advanced-html-css/)


###Icon
* [The Implementation of the Icon Programming Language](http://www.cs.arizona.edu/icon/ibsale.htm)


###IDL
* [Getting Started with IDL](http://www.astro.virginia.edu/class/oconnell/astr511/IDLresources/getting-started-IDL-v7.0.pdf)
* [Guide to Using IDL for Astronomers](http://www.astro.virginia.edu/class/oconnell/astr511/IDLresources/IDLguide.html)


###iOS
* [iOS Succinctly, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/ios) (PDF, Kindle) *(Just fill the fields with any values)*
* [Start Developing iOS Apps Today](https://developer.apple.com/library/ios/referencelibrary/GettingStarted/RoadMapiOS/RoadMapiOS.pdf) (PDF)
* [Developing iOS 7 Apps for iPhone and iPad](https://itunes.apple.com/us/course/developing-ios-7-apps-for/id733644550) (slides and videos) - Stanford University


###J
* [Learning J by Roger Stokes- online](http://www.rogerstokes.free-online.co.uk/book.htm) || [pdf](http://www.elliscave.com/APL_J/Learning_J.pdf)
* [J for C Programmers by Henry Rich- online](http://www.jsoftware.com/help/jforc/contents.htm) || [pdf](http://www.jsoftware.com/jwiki/HenryRich?action=AttachFile&do=get&target=JforC20071003.pdf) || [word 2003 file](http://www.jsoftware.com/jwiki/HenryRich?action=AttachFile&do=get&target=JforC20070929.doc)
* [J Reference Card](http://www.jsoftware.com/jwiki/HenryRich?action=AttachFile&do=view&target=J602_RefCard_color_letter_current.pdf) (PDF)
* [Brief Reference by Chris Burke and Clifford Reiter ](http://www.jsoftware.com/books/pdf/brief.pdf)(PDF)
* [Computers and Mathematical Notation by Kenneth E Iverson](http://www.jsoftware.com/papers/camn.htm)
* [Easy J by Linda Alvord, Norman Thomson - pdf](http://www.jsoftware.com/books/pdf/easyj.pdf) || [Word DOC](http://www.jsoftware.com/books/doc/easyj_doc.zip)
* [Math for the Layman by Kenneth E Iverson](http://www.jsoftware.com/books/pdf/mftl.zip) (zipped html+images)
* [Exploring Math by Kenneth E Iverson](http://www.jsoftware.com/books/pdf/expmath.pdf) (PDF)
* [Arithmetic by Kenneth E Iverson ](http://www.jsoftware.com/books/pdf/arithmetic.pdf) (PDF)
* [Calculus by Kenneth E Iverson ](http://www.jsoftware.com/books/pdf/calculus.pdf)(PDF)
* [Concrete Math Companion  by Kenneth E Iverson](http://www.jsoftware.com/books/pdf/cmc.pdf) (PDF)
* [J Primer](http://www.jsoftware.com/help/primer/contents.htm)


###Java
* [Artificial Intelligence - Foundation of Computational Agents](http://artint.info/html/ArtInt.html)
* [Data Structures and Algorithms with Object-Oriented Design Patterns in Java](http://www.brpreiss.com/books/opus5/html/page9.html)
* [Category wise tutorials - J2EE](http://www.mkyong.com/)
* [Think Java: How to Think Like a Computer Scientist](http://greenteapress.com/thinkapjava/) - Allen B. Downey
* [Introduction to Programming Using Java](http://math.hws.edu/javanotes/) - David J. Eck
* [Java Application Development on Linux by Carl Albing and Michael Schwarz (PDF)](http://www.phptr.com/content/images/013143697X/downloads/013143697X_book.pdf) (PDF)
* [The Java EE6 Tutorial](http://download.oracle.com/javaee/6/tutorial/doc/javaeetutorial6.pdf) (PDF)
* [Java Thin-Client Programming](http://www.redbooks.ibm.com/redbooks/SG245118.html)
* [Learning Java (4th Edition)](http://chimera.labs.oreilly.com/books/1234000001805/index.html) - Patrick Niemeyer
* [OSGi in Practice](http://njbartlett.name/files/osgibook_preview_20091217.pdf) (PDF)
* [Sun's Java Tutorials](http://download.oracle.com/javase/tutorial/)
* [Thinking in Java](http://www.mindview.net/Books/TIJ/)
* [Open Data Structures (in Java)](http://opendatastructures.org/ods-java.pdf) (PDF)
* [OOP - Learn Object Oriented Thinking & Programming](http://pub.bruckner.cz/titles/oop) - Rudolf Pecinovsky
* [The Java Language Specification](http://java.sun.com/docs/books/jls/) - James Gosling, Bill Joy, Guy Steele, Gilad Bracha
* [The Java Tutorial 4th Edition](http://download.oracle.com/javase/tutorial/) - Sharon Zakhour, Scott Hommel, Jacob Royal, Isaac Rabinovitch, Tom Risser, Mark Hoeber
* [Core Servlets and JavaServer Pages](http://pdf.coreservlets.com/) - Marty Hall and Larry Brown
* [Introduction to Programming Using Java](http://math.hws.edu/javanotes/) - David J. Eck
* [Introduction to Programming in Java](http://introcs.cs.princeton.edu/java/home/)- Robert Sedgewick and Kevin Wayne
* [Introduction to Neural Networks with Java](http://www.heatonresearch.com/articles/series/1) -
* [Animation/Games in Java](http://www.heatonresearch.com/articles/series/3)
* [Java for the Beginning Programmer](http://www.heatonresearch.com/articles/series/15)
* [HTTP Programming Recipes for Java Bots](http://www.heatonresearch.com/articles/series/16)
* [Tutorial: Java, Maven 2, Eclipse & JSF](http://www.lulu.com/shop/arulkumaran-kumaraswamipillai-and-sivayini-arulkumaran/tutorial-java-maven-2-eclipse-jsf/ebook/product-1603040.html;jsessionid=E57B1E8662500F2ADF96D7B317769B6E) - Arulkumaran Kumaraswamipillai, Sivayini Arulkumaran
* [Welcome to Java for Python Programmers](http://interactivepython.org/runestone/static/java4python/index.html) - Brad Miller
* [Introduction to Computer science using Java](http://chortle.ccsu.edu/java5/index.html)

####Wicket
* [Official Free Online Guide for Apache Wicket framework](http://wicket.apache.org/guide/)


###JavaScript
* [Crockford's JavaScript](http://www.crockford.com/javascript/) - Douglas Crockford
* [JavaScript Garden](http://bonsaiden.github.io/JavaScript-Garden/) (Maintained by Tim Ruffles)
* [Eloquent JavaScript](http://eloquentjavascript.net/) - Marijn Haverbeke
* [Learning JavaScript Design Patterns](http://www.addyosmani.com/resources/essentialjsdesignpatterns/book/) - Addy Osmani
* [JavaScript Bible](http://media.wiley.com/product_ancillary/28/07645334/DOWNLOAD/all.pdf) (PDF)
* [JavaScript Essentials](http://www.techotopia.com/index.php/JavaScript_Essentials)
* [jQuery Fundamentals](http://jqfundamentals.com/book/) (starts with JavaScript basics)
* [Mozilla Developer Network's JavaScript Guide](https://developer.mozilla.org/en/JavaScript/Guide)
* [JavaScript Allongé](https://leanpub.com/javascript-allonge/read)
* [O'Reilly Programming JavaScript Applications - Early Release](http://chimera.labs.oreilly.com/books/1234000000262/index.html)
* [The JavaScript Tutorial](http://javascript.info/)
* [Javascript Succinctly, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/javascript) (PDF, Kindle) *(Just fill the fields with any values)*
* [Dev Docs](http://devdocs.io/)
* [Managing Space and Time with JavaScript - Book 1: The Basics](http://www.noelrappin.com/)  - Noel Rappin
* [The Problem with Native JavaScript APIs](http://chimera.labs.oreilly.com/books/1234000001655) (PDF)
* [Learn to Code JavaScript by Playing a Game](http://codecombat.com)
* [You Don't Know JS](https://github.com/getify/You-Dont-Know-JS)
* [JS Robots](http://markdaggett.com/images/ExpertJavaScript-ch6.pdf)

####Angular.js
* [AngularJS in 60 Minutes](http://fastandfluid.com/publicdownloads/AngularJSIn60MinutesIsh_DanWahlin_May2013.pdf) (PDF)

####Backbone.js
* [Developing Backbone.js Applications](http://addyosmani.github.io/backbone-fundamentals/)
* [A Complete guide for learning Backbone.js](http://www.codebeerstartups.com/2012/12/a-complete-guide-for-learning-backbone-js/)
* [Backbonejs Tutorials](http://backbonetutorials.com/)
* [A pragmatic guide to Backbone.js apps](http://pragmatic-backbone.com/)

####D3.js
* [Interactive Data Visualization for the Web](http://chimera.labs.oreilly.com/books/1230000000345/index.html) - Scott Murray
* [D3 Tips and Tricks](https://leanpub.com/D3-Tips-and-Tricks)
* [Dashing D3.js](https://www.dashingd3js.com/table-of-contents)
* [Interactive Data Visualization with D3](http://alignedleft.com/tutorials/d3)

####Dojo
* [Dojo: The Definitive Guide](http://chimera.labs.oreilly.com/books/1234000001819/index.html) - Matthew A. Russell

####jQuery
* [jQuery Succinctly, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/jquery) (PDF, Kindle) *(Just fill the fields with any values)*
* [jQuery Novice to Ninja](http://mediatheque.cite-musique.fr/MediaComposite/Debug/Dossier-Orchestre/ressources/jQuery.Novice.to.Ninja.2nd.Edition.pdf) (PDF)

####Knockout.js
* [Knockout.js Succinctly](http://www.syncfusion.com/resources/techportal/ebooks/knockoutjs) (PDF, Kindle) *(Just fill the fields with any values)*

####Node.js
* [Mastering Node.js](http://visionmedia.github.com/masteringnode/)
* [Mixu's Node Book](http://book.mixu.net/node/)
* [The Node Beginner Book](http://nodebeginner.org/)
* [Node: Up and Running](http://chimera.labs.oreilly.com/books/1234000001808/index.html) - Tom Hughes-Croucher


###LaTeX
* [The Not So Short Introduction to LaTeX](http://tobi.oetiker.ch/lshort/lshort.pdf) (PDF)
* [LaTeX Wikibook](http://en.wikibooks.org/wiki/LaTeX)

See also [TeX](#tex)


###Linux
* [Advanced Linux Programming](http://www.advancedlinuxprogramming.com/)
* [Getting Started with Ubuntu](http://ubuntu-manual.org/)
* [GNU Autoconf, Automake and Libtool](http://sources.redhat.com/autobook/download.html)
* [GTK+/Gnome Application Development](http://www.linuxtopia.org/online_books/gui_toolkit_guides/gtk+_gnome_application_development/index.html)
* [The Debian Administrator's Handbook](http://debian-handbook.info/)
* [The Linux Command Line](http://linuxcommand.org/tlcl.php) (PDF)
* [The Linux Development Platform (PDF)](http://www.informit.com/content/downloads/perens/0130091154.pdf) (PDF)
* [Linux Device Drivers, Third Edition](http://lwn.net/Kernel/LDD3/) by Jonathan Corbet, Alessandro Rubini, and Greg Kroah-Hartman
* [Linux Device Drivers, 2nd Edition](http://www.xml.com/ldd/chapter/book/index.html)
* [Linux Kernel in a Nutshell](http://www.kroah.com/lkn/)
* [The Linux Kernel Module Programming Guide](http://tldp.org/LDP/lkmpg/2.6/html/)
* [Programming and Using Linux Sound - in depth](http://jan.newmarch.name/LinuxSound/index.html)
* [Secure Programming for Linux and Unix](http://www.dwheeler.com/secure-programs/Secure-Programs-HOWTO.html)
* [Linux from Scratch](http://www.linuxfromscratch.org/lfs/view/stable/)
* [Ubuntu Pocket Guide and Reference](http://www.ubuntupocketguide.com/index_main.html)
* [What Every Programmer Should Know About Memory](http://www.akkadia.org/drepper/cpumemory.pdf) (PDF)
* [Learning Debian GNU/Linux](http://oreilly.com/openbook/debian/book/index.html)
* [Upstart Intro, Cookbook and Best Practises](http://upstart.ubuntu.com/cookbook/)
* [Red Hat Enterprise Linux 6 Essentials](http://www.techotopia.com/index.php/Red_Hat_Enterprise_Linux_6_Essentials)
* [Ubuntu Server Guide](https://help.ubuntu.com/13.10/serverguide/serverguide.pdf)
* [Ad Hoc Data Analysis From The Unix Command Line](http://en.wikibooks.org/wiki/Ad_Hoc_Data_Analysis_From_The_Unix_Command_Line)
* [Linux Compute Clusters](http://linuxclusters.com/compute_clusters.html)
* [Linux Security for Beginners](http://www.linuxtopia.org/LinuxSecurity/index.html)
* [Linux Administrator's Security Guide](http://www.linuxtopia.org/online_books/linux_administrators_security_guide/index.html)
* [The Linux System Administrator's Guide](http://www.tldp.org/LDP/sag/html/index.html)
* [Linux Newbie Administrator Guide](http://lnag.sourceforge.net/)


###Lisp
* [Common Lisp the Language, 2nd Edition](http://www.cs.cmu.edu/Groups/AI/html/cltl/mirrors.html)
* [Common Lisp: A Gentle Introduction to Symbolic Computation](http://www.cs.cmu.edu/~dst/LispBook/) - David S. Touretzky
* [Common Lisp Quick Reference](http://clqr.boundp.org/)
* [Let Over Lambda - 50 Years of Lisp](http://letoverlambda.com/index.cl/toc)
* [Natural Language Processing in Lisp](http://www.informatics.susx.ac.uk/research/groups/nlp/gazdar/nlp-in-lisp/index.html)
* [On Lisp](http://www.paulgraham.com/onlisp.html)
* [Practical Common Lisp](http://www.gigamonkeys.com/book/)
* [Successful Lisp: How to Understand and Use Common Lisp](http://psg.com/~dlamkins/sl/) - David Lamkins
* [Sketchy LISP](http://www.bcl.hamilton.ie/~nmh/t3x.org/zzz/) - Nils Holm
* [Lisp Koans](https://github.com/google/lisp-koans)
* [List Web Tails](https://leanpub.com/lispwebtales/purchases/new)
* [Casting Spels in Lisp](http://www.lisperati.com/casting.html)
* [Structure and Interpretation of Computer Programs](http://mitpress.mit.edu/sicp/)


###Lua
* [Programming In Lua](http://www.lua.org/pil/) (for version 5)
* [Programming Gems](http://www.lua.org/gems/)
* [Lua 5.1 Reference Manual](http://www.lua.org/manual/5.1/)


###Mathematica
* [Mathematica® programming: an advanced introduction by Leonid Shifrin](http://www.mathprogramming-intro.org/)
* [Stephen Wolfram's The Mathematica Book](http://reference.wolfram.com/legacy/v5_2/)
* [Wolfram Mathematica Tutorial Collection](http://www.wolfram.com/learningcenter/tutorialcollection/)
* [Basics of Algebra, Topology, and Differential Calculus](http://www.cis.upenn.edu/~jean/math-basics.pdf)
* [Vector Math for 3d Computer Graphics](http://chortle.ccsu.edu/VectorLessons/index.html)


###MATLAB
* [Interactive Tutorials for MATLAB, Simulink, Signal Processing, Controls, and Computational Mathematics](http://www.mathworks.com/tutorials)
* [Numerical Computing with MATLAB](http://www.mathworks.com/moler/index_ncm.html)
* [Experiments with MATLAB](http://www.mathworks.com/moler/exm/index.html)
* [MATLAB Programming](http://en.wikibooks.org/wiki/MATLAB_Programming)
* [Freshman Engineering Problem Solving with MATLAB](http://cnx.org/featureContent/mfiles)
* [An Introduction to MATLAB](http://www.maths.dundee.ac.uk/ftp/na-reports/MatlabNotes.pdf)
* [MATLAB - A Fundamental Tool for Scientific Computing and Engineering Applications - Volume 1](http://www.intechopen.com/books/matlab-a-fundamental-tool-for-scientific-computing-and-engineering-applications-volume-1)
* [Applications of MATLAB in Science and Engineering](http://www.intechopen.com/books/applications-of-matlab-in-science-and-engineering)
* [MATLAB for Engineers: Applications in Control, Electrical Engineering, IT and Robotics](http://www.intechopen.com/books/matlab-for-engineers-applications-in-control-electrical-engineering-it-and-robotics)
* [MATLAB - A Ubiquitous Tool for the Practical Engineer](http://www.intechopen.com/books/matlab-a-ubiquitous-tool-for-the-practical-engineer)
* [Physical Modeling in MATLAB](http://greenteapress.com/matlab/index.html) - Alan B. Downey


###Maven
* [Better Builds with Maven](http://www.maestrodev.com/better-build-maven)
* [Maven by Example](http://www.sonatype.com/books/mvnex-book/reference/public-book.html)
* [Maven: The Complete Reference](http://www.sonatype.com/books/mvnref-book/reference/public-book.html)
* [Repository Management with Nexus](http://www.sonatype.com/books/nexus-book/reference/)
* [Developing with Eclipse and Maven](http://www.sonatype.com/books/m2eclipse-book/reference/)


###Mercurial
* [Mercurial: The Definitive Guide](http://hgbook.red-bean.com/) -
* [HGInit - Mercurial Tutorial by Joel Spolsky](http://hginit.com/)


###MySQL
* [MySQL Tutorial Excerpt](http://downloads.mysql.com/docs/mysql-tutorial-excerpt-5.1-en.pdf)


###.NET (C# / VB / Nemerle / Visual Studio)
* [C# Essentials](http://www.techotopia.com/index.php/C_Sharp_Essentials)
* [C# Programming - Wikibook](http://en.wikibooks.org/wiki/C_Sharp_Programming)
* [C# Yellow Book](http://www.csharpcourse.com/) (intro to programming)
* [Charles Petzold's .NET Book Zero](http://www.charlespetzold.com/dotnet/index.html)
* [Data Structures and Algorithms with Object-Oriented Design Patterns in C#](http://www.brpreiss.com/books/opus6/)
* [Entity Framework](http://weblogs.asp.net/zeeshanhirani/archive/2008/12/05/my-christmas-present-to-the-entity-framework-community.aspx)
* [Fundamentals of Computer Programming with C#](http://www.introprogramming.info/english-intro-csharp-book/read-online/) - Svetlin Nakov
* [Moving to Microsoft Visual Studio 2010](http://blogs.msdn.com/b/microsoft_press/archive/2010/09/13/free-ebook-moving-to-microsoft-visual-studio-2010.aspx)
* [Nemerle](http://asaha.com/ebook/AMTQ2NjA-/Nemerle.pdf) (PDF)
* [Threading in C#](http://www.albahari.com/threading/)
* [Visual Basic Essentials](http://www.techotopia.com/index.php/Visual_Basic_Essentials)
* [Visual Studio Tips and Tricks](http://www.infoq.com/minibooks/vsnettt) (VS 2003-2005 only)
* [Under the Hood of .NET Memory Management](http://download.red-gate.com/ebooks/DotNet/Under_the_Hood_of_.NET_Management.pdf) (PDF) *(RedGate, By Chris Farrell and Nick Harrison)*
* [Practical Performance Profiling: Improving the efficiency of .NET code ](http://www.red-gate.com/products/dotnet-development/ants-performance-profiler/entrypage/practical-performance-profiling) *(RedGate, By Jean-Philippe Gouigoux)*
* [.NET Performance Testing and Optimization - The Complete Guide](http://download.red-gate.com/ebooks/DotNet/Perf_Test_and_opt_eBook.zip) *(RedGate, By Paul Glavich and Chris Farrell)*
* [HTTP Programming Recipes for C# Bots](http://www.heatonresearch.com/articles/series/20)
* [Game Creation with XNA](http://en.wikibooks.org/wiki/Game_Creation_with_XNA)


###NoSQL
* [CouchDB: The Definitive Guide](http://books.couchdb.org/relax/)
* [The Little MongoDB Book](http://openmymind.net/2011/3/28/The-Little-MongoDB-Book)
* [The Little Redis Book](http://openmymind.net/2012/1/23/The-Little-Redis-Book/)
* [The Little Riak Book](http://littleriakbook.com/)
* [Graph Databases](http://graphdatabases.com/)
* [MongoDB Koans](https://github.com/chicagoruby/MongoDB_Koans)


###Oberon
* [Programming in Oberon](http://www-old.oberon.ethz.ch/WirthPubl/ProgInOberon.pdf) (PDF)
* [Object-Oriented Programming in Oberon-2](http://ssw.jku.at/Research/Books/Oberon2.pdf) (PDF)


###Objective-C
* [Programming With Objective-C](https://developer.apple.com/library/mac/documentation/Cocoa/Conceptual/ProgrammingWithObjectiveC/ProgrammingWithObjectiveC.pdf) (PDF)
* [Object-Oriented Programming with Objective-C](http://developer.apple.com/library/mac/documentation/Cocoa/Conceptual/OOP_ObjC/OOP_ObjC.pdf) (PDF)
* [Objective-C Succinctly, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/objective-c) (PDF, Kindle) *(Just fill the fields with any values)*


###OCaml
* [Introduction to Objective Caml](http://courses.cms.caltech.edu/cs134/cs134b/book.pdf) (PDF)
* [Objective Caml for Scientists (first chapter only)](http://www.ffconsultancy.com/products/ocaml_for_scientists/chapter1.html)
* [Unix System Programming in OCaml](http://ocamlunix.forge.ocamlcore.org/)
* [Developing Applications With Objective Caml](http://caml.inria.fr/pub/docs/oreilly-book/)
* [Real World OCaml](https://realworldocaml.org/v1/en/html/)
* [Think OCaml](http://greenteapress.com/thinkocaml/index.html) - Allen B. Downey and Nicholas Monje


###Octave
* [Octave Programming](http://en.wikibooks.org/wiki/Octave_Programming_Tutorial)


###OpenGL ES
* [iPhone 3D Programming - Developing Graphical Applications with OpenGL ES](http://chimera.labs.oreilly.com/books/1234000001814/index.html) - Philip Rideout


###OpenSCAD
* [OpenSCAD User Manual](http://en.wikibooks.org/wiki/OpenSCAD_User_Manual)


###Oracle PL/SQL
* [PL/SQL Language Reference](http://download.oracle.com/docs/cd/E11882_01/appdev.112/e17126/toc.htm)
* [PL/SQL Packages and Types Reference](http://download.oracle.com/docs/cd/E11882_01/appdev.112/e16760/toc.htm)
* [Steven Feuerstein's PL/SQL Obsession - Videos and Presentations](http://www.toadworld.com/platforms/oracle/w/wiki/8243.plsql-obsession.aspx)


###Oracle Server
* [Oracle's Guides and Manuals](http://tahiti.oracle.com/)


###Parrot / Perl 6
* [Using Perl 6](http://github.com/perl6/book/) (work in progress)


###Perl
* [Beginning Perl](http://www.perl.org/books/beginning-perl/)
* [Embedding Perl in HTML with Mason](http://www.masonbook.com/book/)
* [Essential Perl](http://cslibrary.stanford.edu/108/EssentialPerl.pdf) (PDF)
* [Extreme Perl](http://www.extremeperl.org/bk/home)
* [Higher-Order Perl](http://hop.perl.plover.com/book/)
* [The Mason Book](http://www.masonbook.com/book/)
* [Mastering Perl](http://chimera.labs.oreilly.com/books/1234000001527) - Bryan D Foy
* [Modern Perl 5](http://www.onyxneon.com/books/modern_perl/index.html)
* [Perl & LWP](http://lwp.interglacial.com/index.html)
* [Perl for the Web](http://www.globalspin.com/thebook/)
* [Perl Free Online EBooks](http://linkmingle.com/list/13-plus-List-of-Free-Great-Perl-Books-available-Online-freebooksandarticles) (meta-list)
* [Learning Perl The Hard Way](http://www.greenteapress.com/perl/)
* [Practical mod\_perl](http://modperlbook.org/)
* [Web Client Programming with Perl](http://oreilly.com/openbook/webclient/)
* [Plack Handbook](http://handbook.plackperl.org/)
* [Exploring Programming Language Architecture in Perl](http://www.billhails.net/Book/)
* [SDL::Manual Writing Games in Perl](https://github.com/PerlGameDev/SDL_Manual)
* [The PDL Book](http://sourceforge.net/projects/pdl/files/PDL_2013/PDL-Book/PDL-Book-20130322.pdf/download) (PDF)


###PHP
* [PHP Essentials](http://www.techotopia.com/index.php/PHP_Essentials)
* [PHP: The Right Way](http://www.phptherightway.com/)
* [Practical PHP Programming](http://www.tuxradar.com/practicalphp) (wiki containing O'Reilly's *PHP In a Nutshell*)
* [Symfony2](http://symfony.com/doc/current/book/index.html)
* [Zend Framework: Survive the Deep End](http://www.survivethedeepend.com/)
* Laravel Framework
    * [Official Documentation (Offline Version)](https://leanpub.com/l4-offline-doc)
* Drupal Framework
    * [High Performance Drupal](http://chimera.labs.oreilly.com/books/1230000000845) - Jeff Sheltren, Narayan Newton, and Nathaniel Catchpole

    * Drupal 7
        * [The Tiny Book of Rules](https://drupal.org/files/tiny-book-of-rules.pdf) (PDF)
        * [Master Drupal in 7 hours](http://dl.dropboxusercontent.com/u/54624702/Master%20Drupal%20in%207%20hours_v1.1.pdf) (PDF)
    * Drupal 8
* [PHP Internals Book](http://www.phpinternalsbook.com/)
* [PHP Best Practices](https://phpbestpractices.org/)
* [PHP Programming](http://en.wikibooks.org/wiki/PHP_Programming)
* [PHP with Guru99](http://www.smashwords.com/books/view/324888)
* [Practical Php Testing](http://www.giorgiosironi.com/2009/12/practical-php-testing-is-here.html)
* [Practical PHP Programming](http://www.tuxradar.com/practicalphp)
* [PHP 5 Power Programming](http://www.informit.com/content/images/013147149X/downloads/013147149X_book.pdf)


###PostgreSQL
* [Practical PostgreSQL](http://www.commandprompt.com/ppbook/)


###PowerShell
* [Mastering PowerShell](http://powershell.com/cs/blogs/ebook/)
* [Layman’s Guide to PowerShell 2.0 remoting](http://www.ravichaganti.com/blog/wp-content/plugins/download-monitor/download.php?id=22) (PDF)
* [PowerShell 2.0 – One CMDLET At A Time](http://www.jonathanmedd.net/wp-content/uploads/2010/09/PowerShell_2_One_Cmdlet_at_a_Time.pdf) (PDF)


###Processing
* [The Nature of Code: Simulating Natural Systems with Processing](http://natureofcode.com/book/)


###Prolog
* [Adventure in Prolog](http://www.amzi.com/AdventureInProlog/advfrtop.htm)
* [Applications of Prolog](http://bookboon.com/int/student/it/applications-of-prolog)
* [Building Expert Systems in Prolog](http://www.amzi.com/ExpertSystemsInProlog/)
* [Introduction to Prolog for Mathematicians](http://www.j-paine.org/prolog/mathnotes/files/pms/pms.html)
* [Learn Prolog Now!](http://www.learnprolognow.org/)
* [Logic, Programming and Prolog (2ed)](http://www.ida.liu.se/~ulfni/lpp/)
* [Natural Language Processing Techniques in Prolog](http://cs.union.edu/~striegnk/courses/nlp-with-prolog/html/)
* [Prolog for Programmers](https://sites.google.com/site/prologforprogrammers/)
* [Prolog Techniques](http://bookboon.com/int/student/it/prolog-techniques-applications-of-prolog)
* [Simply Logical](http://www.cs.bris.ac.uk/~flach/SimplyLogical.html)
* [Visual Prolog 7.2 for Tyros](http://download.pdc.dk/vip/72/books/tyros/tyros72.pdf) (PDF)


###Python
* [A Bit of Python and Other Things](http://jessenoller.com/good-to-great-python-reads/)
* [Byte of Python](http://www.swaroopch.com/notes/Python)
* [Data Structures and Algorithms in Python](http://www.brpreiss.com/books/opus7/html/book.html)
* [Dive into Python](http://www.diveintopython.net/) - Mark Pilgrim
* [Dive into Python 3](http://getpython3.com/diveintopython3/) - Mark Pilgrim
* [Google's Python Class](https://developers.google.com/edu/python/?hl=de-DE&csw=1)
* [Hacking Secret Cyphers with Python](http://inventwithpython.com/hacking/chapters/) - Al Sweigart
* [Hitchiker's Guide to Python!](http://docs.python-guide.org/en/latest/)
* [How to Think Like a Computer Scientist: Learning with Python](http://www.greenteapress.com/thinkpython/thinkCSpy/) - Allen B. Downey, Jeff Elkner and Chris Meyers
    * [How to Think Like a Computer Scientist: Learning with Python, Interactive Edition](http://interactivepython.org/courselib/static/thinkcspy/index.html)
* [Introduction to Programming Using Python](http://python-ebook.blogspot.com) - Cody Jackson
* [Invent Your Own Computer Games With Python](http://inventwithpython.com/chapters/) - Al Sweigart
* [Learn Python The Hard Way](http://learnpythonthehardway.org/book/)
* [Lectures on scientific computing with python](https://github.com/jrjohansson/scientific-python-lectures) - J.R. Johansson
* [Making Games with Python & Pygame](http://inventwithpython.com/pygame/chapters/) - Al Sweigart
* [Modeling Creativity: Case Studies in Python](http://www.clips.ua.ac.be/sites/default/files/modeling-creativity.pdf) - Tom D. De Smedt
* [Natural Language Processing with Python](http://www.nltk.org/book)
* [Porting to Python 3: An In-Depth Guide](http://python3porting.com/)
* [Program Arcade Games With Python And Pygame](http://programarcadegames.com/)
* [Python Bibliotheca](http://openbookproject.net/pybiblio/)
* [Python Cookbook](http://chimera.labs.oreilly.com/books/1230000000393/index.html) - David Beazley
* [Python for Fun](http://www.openbookproject.net/py4fun/)
* [Python for Informatics: Exploring Information](http://www.pythonlearn.com/book.php)
* [Python for you and me](http://pymbook.readthedocs.org/en/latest/)
* [Python Practice Book](http://anandology.com/python-practice-book/index.html)
* [Python Programming](http://upload.wikimedia.org/wikipedia/commons/9/91/Python_Programming.pdf) - PDF
* [Python Scientific Lecture Notes](http://scipy-lectures.github.io/)
* [Snake Wrangling For Kids](http://www.briggs.net.nz/snake-wrangling-for-kids.html)
* [The Art and Craft of Programming](http://beastie.cs.ua.edu/cs150/book/index.html)
* [The Programming Historian](http://niche-canada.org/files/programming-historian-1.pdf) - William J. Turkel, Adam Crymble and Alan MacEachern
* [Think Python](http://www.greenteapress.com/thinkpython/) - Allen B. Downey
* [Problem Solving with Algorithms and Data Structures](http://interactivepython.org/courselib/static/pythonds/index.html)
* [Python Module of the Week](http://pymotw.com/2/)
* [Wikibooks: Python Programming](http://en.wikibooks.org/wiki/Python_Programming)
* [Python Koans](https://github.com/gregmalcolm/python_koans)
* [Test-Driven Web Development with Python](http://chimera.labs.oreilly.com/books/1234000000754/index.html)
* [Python Standard Library](http://effbot.org/librarybook/) - Fredrik Lundh
* [Building Skills in Python](http://www.itmaybeahack.com/book/python-2.6/latex/BuildingSkillsinPython.pdf)
* [Building Skills in Object-Oriented Design (Python)](http://www.itmaybeahack.com/book/oodesign-python-2.1/latex/BuildingSkillsinOODesign.pdf)
* [Text Processing in Python](http://gnosis.cx/TPiP/) - David Mertz
* [Welcome to Problem Solving with Algorithms and Data Structures](http://interactivepython.org/runestone/static/pythonds/index.html) - Brad Miller and David Ranum
* [Python in Hydrology](http://www.greenteapress.com/pythonhydro/pythonhydro.html) - Sat Kumar Tomer

####Django
* [Djen of Django](http://agiliq.com/books/djenofdjango/)
* [Django by Example](http://www.lightbird.net/dbe/)
* [Django by Example for Django 1.5](http://lightbird.net/dbe2/)
* [Tango With Django](http://www.tangowithdjango.com/book/)
* [Deploy Django](http://www.deploydjango.com)

####Flask
* [Explore Flask](http://exploreflask.com/) (PDF)
* [The Flask Mega-Tutorial](http://blog.miguelgrinberg.com/post/the-flask-mega-tutorial-part-i-hello-world) - Miguel Grinberg


###R
* [The R Inferno](http://www.burns-stat.com/pages/Tutor/R_inferno.pdf) (PDF) - Patrick Burns
* [The R Manuals](http://cran.r-project.org/manuals.html)
* [The R Language](http://stat.ethz.ch/R-manual/R-patched/doc/html/)
* [R by example](http://www.mayin.org/ajayshah/KB/R/index.html)
* [Introduction to Probability and Statistics Using R](http://cran.r-project.org/web/packages/IPSUR/vignettes/IPSUR.pdf) (PDF) - G. Jay Kerns
* [Advanced R Programming](http://adv-r.had.co.nz/)
* [R practicals](http://www.columbia.edu/~cjd11/charles_dimaggio/DIRE/resources/R/practicalsBookNoAns.pdf) (PDF)
* [R for spatial analysis](http://www.columbia.edu/~cjd11/charles_dimaggio/DIRE/resources/spatialEpiBook.pdf) (PDF)
* [Learning Statistics with R](http://health.adelaide.edu.au/psychology/ccs/teaching/lsr/) - Daniel Navarro
* [R language for Programmers](http://www.johndcook.com/R_language_for_programmers.html) - John D. Cook
* [R Programming](http://en.wikibooks.org/wiki/R_Programming)
* [Practical Regression and Anova using R](http://cran.r-project.org/doc/contrib/Faraway-PRA.pdf) (PDF) - Julian J. Faraway


###Racket
* [Programming Languages: Application and Interpretation](http://cs.brown.edu/courses/cs173/2012/book/index.html)
* [The Racket Guide](http://docs.racket-lang.org/guide/index.html)


###Ruby
* [The Bastards Book of Ruby](http://ruby.bastardsbook.com/)
* [Learn Ruby the hard way](http://ruby.learncodethehardway.org/book/)
* [Mr. Neighborly's Humble Little Ruby Book](http://www.humblelittlerubybook.com/)
* [Programming Ruby](http://www.ruby-doc.org/docs/ProgrammingRuby/)
* [Why's (Poignant) Guide to Ruby](http://mislav.uniqpath.com/poignant-guide/) ([mirror](http://www.scribd.com/doc/2236084/Whys-Poignant-Guide-to-Ruby))
* [Ruby Hacking Guide](http://ruby-hacking-guide.github.io/)
* [Ruby Best Practices](http://majesticseacreature.com/rbp-book/pdfs/rbp_1-0.pdf) (PDF)
* [RubyMonk - Interactive Ruby tutorials](http://rubymonk.com)
* [A community-driven Ruby style guide](https://github.com/bbatsov/ruby-style-guide)
* [CodeCademy Ruby](http://www.codecademy.com/tracks/ruby)
* [How To Think Like a Computer Scientist: Learning With Ruby](http://mysite.verizon.net/hpassel/thinkruby/)
* [Ruby in Twenty Minutes](https://www.ruby-lang.org/en/documentation/quickstart/)
* [Ruby Essentials](http://www.techotopia.com/index.php/Ruby_Essentials)
* [Ruby User's Guide](http://www.linuxtopia.org/online_books/programming_books/ruby_guide/)
* [Ruby Programming](http://www.linuxtopia.org/online_books/programming_books/ruby_tutorial/)
* [Ruby Learning](http://rubylearning.com/)
* [Try Ruby](http://tryruby.org/)
* [Ruby Koans](http://www.rubykoans.com/)
* [Ruby User's Guide](http://www.rubyist.net/~slagell/ruby/)
* [The Little Book Of Ruby](http://www.sapphiresteel.com/The-Little-Book-Of-Ruby)
* [Mr. Neighborly's Humble Little Ruby Book](http://humblelittlerubybook.com/book/)
* [Learn to Program, by Chris Pine](http://pine.fm/LearnToProgram/)

####RSpec
* [Better Specs (RSpec Guidelines with Ruby)](http://betterspecs.org)

####Sinatra
* [Sinatra Book](https://github.com/sinatra/sinatra-book)

####Ruby on Rails
* [Ruby on Rails Tutorial: Learn Rails By Example](http://ruby.railstutorial.org/ruby-on-rails-tutorial-book)
* [Objects on Rails](http://objectsonrails.com)
* [Ruby on Rails Guides](http://guides.rubyonrails.org)
* [A community-driven Rails style guide](https://github.com/bbatsov/rails-style-guide)
* [Upgrading to Rails 4](https://github.com/alindeman/upgradingtorails4)
* [Rails Girls Guides](http://guides.railsgirls.com)
* [Geekcamp Ruby on Rails Guides](http://www.rubyonrails.geekcampbaguio.com)
* [Kestrels, Quirky Birds, and Hopeless Egocentricity](https://leanpub.com/combinators/read)


###Rust
* [Rust for Rubyists](http://www.rustforrubyists.com/book/index.html)


###Sage
* [The Sage Manuals](http://sagemath.org/doc/)
* [Sage for Newbies](http://sage.math.washington.edu/home/tkosan/newbies_book/) - Ted Kosan
* [Sage for Power Users](http://modular.math.washington.edu/books/sagebook/sagebook.pdf) (PDF) - William


###Scala
* [Another tour of Scala](http://naildrivin5.com/scalatour)
* [Effective Scala](http://twitter.github.com/effectivescala/)
* [Exploring Lift](http://exploring.liftweb.net/) (published earlier as "The Definitive Guide to Lift", [PDF](http://groups.google.com/group/the-lift-book))
* [Lift](http://github.com/tjweir/liftbook)
* [Lift Cookbook](http://chimera.labs.oreilly.com/books/1234000000030/index.html) - Richard Dallaway
* [Pro Scala: Monadic Design Patterns for the Web](http://github.com/leithaus/XTrace/tree/monadic/src/main/book/content/)
* [Programming in Scala, First Edition](http://www.artima.com/pins1ed/)
* [Programming Scala](http://programming-scala.labs.oreilly.com/index.html)
* [Scala By Example](http://www.scala-lang.org/docu/files/ScalaByExample.pdf) (PDF)
* [Scala School by Twitter](http://twitter.github.io/scala_school/)
* [A Scala Tutorial for Java programmers](http://www.scala-lang.org/docu/files/ScalaTutorial.pdf) (PDF)
* [Xtrace](http://github.com/leithaus/XTrace/tree/monadic/src/main/book/content/)


###Scheme
* [Concrete Abstractions: An Introduction to Computer Science Using Scheme](https://gustavus.edu/+max/concrete-abstractions.html)
* The Scheme Programming Language [Edition 3](http://www.scheme.com/tspl3/), [Edition 4](http://www.scheme.com/tspl4/)
* [Simply Scheme: Introducing Computer Science](http://www.cs.berkeley.edu/~bh/ss-toc2.html)
* [Teach Yourself Scheme in Fixnum Days](http://www.ccs.neu.edu/home/dorai/t-y-scheme/t-y-scheme.html)


###Scilab
* [Introduction to Scilab](http://forge.scilab.org/index.php/p/docintrotoscilab/downloads/)
* [Programming in Scilab](http://forge.scilab.org/index.php/p/docprogscilab/downloads/)
* [Writing Scilab Extensions](http://forge.scilab.org/index.php/p/docsciextensions/downloads/)


###Scratch
* [Computer Science Concepts in Scratch](http://stwww.weizmann.ac.il/g-cs/scratch/scratch_en.html)


###Sed
* [Sed - An Introduction and Tutorial](http://www.grymoire.com/Unix/Sed.html)


###Silverlight
* [10 Laps around Silverlight 5](http://www.silverlightshow.net/ebooks/10laps_silverlight5.aspx)


###Smalltalk
* [Computer Programming using GNU Smalltalk](http://www.canol.info/books/computer_programming_using_gnu_smalltalk) (PDF)
* [Dynamic Web Development with Seaside](http://book.seaside.st/book/table-of-contents)
* [Free Online Smalltalk Books](http://stephane.ducasse.free.fr/FreeBooks.html) (meta-list)
* [Pharo by Example](http://pharobyexample.org/) (Smalltalk DE)
* [Squeak By Example](http://www.squeakbyexample.org/) (Smalltalk IDE)


###SQL (implementation agnostic)
* [Developing Time-Oriented Database Applications in SQL](http://www.cs.arizona.edu/people/rts/publications.html)
* [Use The Index, Luke!: A Guide To SQL Database Performance](http://use-the-index-luke.com/)
* [Learn SQL The Hard Way](http://sql.learncodethehardway.org/)
* [SQL For Web Nerds](http://philip.greenspun.com/sql/)


###SQL Server
* [Introducing Microsoft SQL Server 2008 R2](http://social.technet.microsoft.com/wiki/contents/articles/11608.e-book-gallery-for-microsoft-technologies.aspx#IntroducingMicrosoftSQLServer2008R2)
* [Introducing Microsoft SQL Server 2012](http://social.technet.microsoft.com/wiki/contents/articles/11608.e-book-gallery-for-microsoft-technologies.aspx#IntroducingMicrosoftSQLServer2012)
* [SQL Server 2012 Tutorials: Reporting Services](http://social.technet.microsoft.com/wiki/contents/articles/11608.e-book-gallery-for-microsoft-technologies.aspx#SQLServer2012Tutorials:ReportingServices)
* [SQL Server Execution Plans](http://download.red-gate.com/ebooks/SQL/sql-server-execution-plans.pdf) (PDF) *(RedGate, By Grant Fritchey)*
* [Defensive Database Programming ](http://download.red-gate.com/ebooks/SQL/defensive-database-programming.pdf) (PDF) *(RedGate, By Alex Kuznetsov)*
* [SQL Server Execution Plans, Second Edition](http://download.red-gate.com/ebooks/SQL/eBOOK_SQLServerExecutionPlans_2Ed_G_Fritchey.pdf) (PDF) *(RedGate, By Grant Fritchey)*
* [Inside the SQL Server Query Optimizer](http://www.red-gate.com/products/sql-development/sql-prompt/entrypage/sql-query-optimizer-ebook3) *(RedGate, By Benjamin Nevarez)*
* [SQL Server Transaction Log Management](http://www.red-gate.com/community/books/sql-server-transaction-log-management) *(RedGate, By Tony Davis and Gail Shaw)*
* [The Art of SQL Server FILESTREAM](http://www.red-gate.com/community/books/art-of-filestream.htm) *(RedGate, By Jacob Sebastian and Sven Aelterman)*
* [SQL Server Concurrency: Locking, Blocking and Row Versioning](http://www.red-gate.com/community/books/sql-server-concurrency.htm) *(RedGate, By Kalen Delaney)*
* [SQL Server Backup and Restore](http://www.red-gate.com/community/books/sql-server-backup-and-restore.htm) *(RedGate, By Shawn McGehee)*
* [Troubleshooting SQL Server: A Guide for the Accidental DBA](http://www.red-gate.com/community/books/accidental-dba) *(RedGate, By Jonathan Kehayias and Ted Krueger)*
* [SQL Server Hardware](http://www.red-gate.com/community/books/sql-server-hardware) *(RedGate, By Glenn Berry)*
* [SQL Server Statistics](http://www.red-gate.com/community/books/sql-server-statistics.htm) *(RedGate, By Holger Schmeling)*
* [Performance Tuning with SQL Server Dynamic Management Views](http://www.red-gate.com/community/books/dynamic-management-views.htm) *(RedGate, By Tim Ford and Louis Davidson)*
* [Brad's Sure Guide to SQL Server Maintenance Plans](http://www.red-gate.com/community/books/sql-server-maintenance-plans) *(RedGate, By Brad McGehee)*
* [Best of SQLServerCentral.com Vol 7](http://www.red-gate.com/community/books/ssc-7.htm) *(RedGate, By SQLServerCentral Authors)*
* [Protecting SQL Server Data](http://www.red-gate.com/community/books/protecting-data.htm) *(RedGate, By John Magnabosco)*
* [SQL Server Tacklebox](http://www.red-gate.com/community/books/sql-server-tacklebox) *(RedGate, By Rodney Landrum)*
* [How to Become an Exceptional DBA](http://www.red-gate.com/community/books/exceptional-dba-book) *(RedGate, By Brad McGehee)*
* [SQL Server Stumpers Vol.5](http://www.red-gate.com/community/books/sql-server-stumpers-v5.htm) *(RedGate, By SQLServerCentral Authors)*
* [Mastering SQL Server Profiler](http://www.red-gate.com/community/books/mastering-sql-server-profiler.htm) *(RedGate, By Brad McGehee)*


###Subversion
* [Subversion Version Control](http://www.phptr.com/content/images/0131855182/downloads/Nagel_book.pdf) (PDF)
* [Version Control with Subversion](http://svnbook.red-bean.com/)


###Tcl
* [Tcl Programming](http://en.wikibooks.org/wiki/Programming:Tcl), by Richard.Suchenwirth, et. al.
* [TclWise](http://www.invece.org/tclwise/index.html), by Salvatore Sanfilippo


###Teradata
* [Teradata Books](http://www.info.teradata.com/)


###TeX
* [TeX for the Impatient](https://www.gnu.org/software/teximpatient/), by Paul Abrahams, Kathryn Hargreaves, and Karl Berry
* [Notes On Programming in TeX](http://pgfplots.sourceforge.net/TeX-programming-notes.pdf) (PDF) by Christian Feursänger
* [TeX by Topic, A TeXnician's Reference](http://eijkhout.net/texbytopic/texbytopic.html), by Victor Eijkhout
* [The Computer Science of TeX and LaTeX](http://eijkhout.net/texsci/), by Victor Eijkhout

See also [LaTeX](#latex)


###TypeScript
* [TypeScript Succinctly, Syncfusion](http://www.syncfusion.com/resources/techportal/ebooks/typescript) (PDF, Kindle) *(Just fill the fields with any values)*


###Unix
* [A User's Guide for GNU AWK](http://www.math.utah.edu/docs/info/gawk_toc.html)


###Vim
* [A guide to getting started with VIM](http://www.integralist.co.uk/posts/a-guide-to-getting-started-with-vim/)
* [A Byte of Vim](http://www.swaroopch.com/notes/Vim)
* [Vim Recipes](http://ebooksgo.org/computer/vim-recipes.pdf) (PDF)
* [Vi Improved -- Vim](http://www.truth.sk/vim/vimbook-OPL.pdf) (PDF) by Steve Oualline
* [Learn Vimscript the Hard Way](http://learnvimscriptthehardway.stevelosh.com/)
* [Learn Vim Progressively](http://yannesposito.com/Scratch/en/blog/Learn-Vim-Progressively/)
* [Vim Regular Expressions 101](http://vimregex.com/)


###Websphere
* [Getting started with WebSphere](http://public.dhe.ibm.com/software/dw/db2/express-c/wiki/Getting_Started_with_WASCE_p2.pdf) (PDF)


###Windows 8
* [Programming Windows 8 Apps with HTML, CSS, and JavaScript](http://blogs.msdn.com/b/microsoft_press/archive/2012/06/04/free-ebook-programming-windows-8-apps-with-html-css-and-javascript-first-preview.aspx)


###Windows Phone
* [Programming Windows Phone 7](http://blogs.msdn.com/b/microsoft_press/archive/2010/10/28/free-ebook-programming-windows-phone-7-by-charles-petzold.aspx)
* [Windows Phone Programming Blue Book](http://www.robmiles.com/c-yellow-book/)
* [Developing An Advanced Windows Phone 7.5 App That Connects To The Cloud](http://coolthingoftheday.blogspot.co.uk/2012/05/free-ebook-guidance-advanced-windows.html)


###Workflow
* [Declare Peace on Virtual Machines. A guide to simplifying vm-based development on a Mac](https://leanpub.com/declarepeaceonvms)


###xBase (dBase / Clipper / Harbour)
* [Application Development with Harbour](http://en.wikibooks.org/wiki/Application_Development_with_Harbour)
* [CA-Clipper 5.2 Norton Guide](http://www.ousob.com/ng/clguide/)
* [Clipper Tutorial: a Guide to Open Source Clipper(s)](http://en.wikibooks.org/wiki/Clipper_Tutorial:_a_Guide_to_Open_Source_Clipper(s%29)
